-- this file is optional, you can delete it after initial load

--------------------------------
function InFlight:LoadDefaults()
--------------------------------
print("|cff00ff00InFlight|r: default data updated.")
	
-- LOCALIZATION
local localization
local locale = GetLocale()
if locale == "zhTW" then 
	localization = {
		-- Alliance
		["Marshal's Refuge"] = "馬紹爾營地",
		["Light's Hope Chapel"] = "聖光之願禮拜堂",
		["Blood Watch"] = "血紅守望",
		["Ratchet"] = "棘齒城",
		["Hellfire Peninsula"] = "地獄火半島",
		["Talrendis Point"] = "塔倫迪斯營地",
		["Cosmowrench"] = "扭曲太空",
		["Chillwind Camp"] = "冰風崗",
		["Nijel's Point"] = "尼耶爾前哨站",
		["Ironforge"] = "鐵爐堡",
		["Moonglade"] = "月光林地",
		["Gadgetzan"] = "加基森",
		["Thelsamar"] = "塞爾薩瑪",
		["Morgan's Vigil"] = "摩根的崗哨",
		["Altar of Sha'tar"] = "薩塔祭壇",
		["Astranaar"] = "阿斯特蘭納",
		["Southshore"] = "南海鎮",
		["Allerian Stronghold"] = "艾蘭里堡壘",
		["Area 52"] = "52區",
		["Theramore"] = "塞拉摩",
		["Wildhammer Stronghold"] = "蠻錘要塞",
		["Thalanaar"] = "薩蘭納爾",
		["Plaguewood"] = "病木林",
		["Feathermoon"] = "羽月要塞",
		["Sanctum of the Stars"] = "星光聖所",
		["Evergrove"] = "永恆樹林",
		["Expedition Point"] = "遠征隊哨塔",
		["Booty Bay"] = "藏寶海灣",
		["Refuge Pointe"] = "避難谷地",
		["Temple of Telhamat"] = "特爾哈曼神廟",
		["Thorium Point"] = "瑟銀哨塔",
		["Auberdine"] = "奧伯丁",
		["Aerie Peak"] = "鷹巢山",
		["Sylvanaar"] = "希爾瓦納",
		["Lakeshire"] = "湖畔鎮",
		["Telaar"] = "泰拉",
		["Menethil Harbor"] = "米奈希爾港",
		["Toshley's Station"] = "托斯利基地",
		["Nighthaven"] = "永夜港",
		["The Stormspire"] = "風暴之尖",
		["Rut'theran Village"] = "魯瑟蘭村",
		["Darkshire"] = "夜色鎮",
		["Shatter Point"] = "破碎崗哨",
		["Shattrath"] = "撒塔斯",
		["The Exodar"] = "艾克索達",
		["Nethergarde Keep"] = "守望堡",
		["Honor Point"] = "榮譽崗哨",
		["Everlook"] = "永望鎮",
		["Stonetalon Peak"] = "石爪峰",
		["Emerald Sanctuary"] = "翡翠聖地",
		["Stormwind"] = "暴風城",
		["Telredor"] = "泰倫多爾",
		["Sentinel Hill"] = "哨兵嶺",
		["Talonbranch Glade"] = "刺枝林地",
		["Cenarion Hold"] = "塞納里奧城堡",
		["Honor Hold"] = "榮譽堡",
		["Orebor Harborage"] = "奧雷伯爾港",

	    -- Horde
		["Marshal's Refuge"] = "馬紹爾營地",
		["Cenarion Hold"] = "塞納里奧城堡",
		["Crossroads"] = "十字路口",
		["Kargath"] = "卡加斯",
		["Bloodvenom Post"] = "血毒崗哨",
		["Light's Hope Chapel"] = "聖光之願禮拜堂",
		["Shadowprey Village"] = "葬影村",
		["Thorium Point"] = "瑟銀哨塔",
		["Ratchet"] = "棘齒城",
		["Brackenwall Village"] = "蕨牆村",
		["Revantusk Village"] = "惡齒村",
		["Hammerfall"] = "落錘鎮",
		["Everlook"] = "永望鎮",
		["Flame Crest"] = "烈焰峰",
		["Orgrimmar"] = "奧格瑪",
		["Freewind Post"] = "亂風崗",
		["Undercity"] = "幽暗城",
		["Gadgetzan"] = "加基森",
		["Booty Bay"] = "藏寶海灣",
		["Camp Taurajo"] = "陶拉祖營地",
		["Stonard"] = "斯通納德",
		["Tarren Mill"] = "塔倫米爾",
		["Grom'gol"] = "格羅姆高",
		["Valormok"] = "瓦羅莫克",
		["The Sepulcher"] = "瑟伯切爾",
		["Sun Rock Retreat"] = "烈日石居",
		["Moonglade"] = "月光林地",
		["Thunder Bluff"] = "雷霆崖",
		["Zoram'gar Outpost"] = "左拉姆加前哨站",
		["Splintertree Post"] = "碎木崗哨",
		["Camp Mojache"] = "莫沙徹營地",
		["Zabra'jin"] = "薩布拉金",
		["Thrallmar"] = "索爾瑪",
		["Tranquillien"] = "安寧地",
		["Spinebreaker Ridge"] = "斷脊山脈",
		["Silvermoon City"] = "銀月城",
		["Swamprat Post"] = "斯溫派特崗哨",
		["Stonebreaker Hold"] = "碎石堡",
		["Shattrath"] = "撒塔斯",
		["Falcon Watch"] = "獵鷹哨站",
		["Evergrove"] = "永恆樹林",
		["Area 52"] = "52區",
		["The Stormspire"] = "風暴之尖",
		["Thunderlord Stronghold"] = "雷霆王村",
		["Garadar"] = "卡拉達爾",
		["Mok'Nathal Village"] = "摩克納薩爾村",
		["Cosmowrench"] = "扭曲太空",
		["Hellfire Peninsula"] = "地獄火半島", 
	}
elseif locale == "deDE" then 
	localization = {
		-- Alliance
		["Marshal's Refuge"] = "Marshalls Zuflucht",
		["Light's Hope Chapel"] = "Kapelle des hoffnungsvollen Lichts",
		["Blood Watch"] = "Blutwacht",
		["Ratchet"] = "Ratschet",
		["Hellfire Peninsula"] = "H\195\182llenfeuerhalbinsel, das Dunkle Portal",
		["Talrendis Point"] = "Talrendisspitze",
		["Cosmowrench"] = "Kosmozang",
		["Chillwind Camp"] = "Zugwindlager",
		["Nijel's Point"] = "Nijelspitze",
		["Ironforge"] = "Eisenschmiede",
		["Moonglade"] = "Mondlichtung",
		["Gadgetzan"] = "Gadgetzan",
		["Thelsamar"] = "Thelsamar",
		["Morgan's Vigil"] = "Morgans Wache",
		["Altar of Sha'tar"] = "Altart der Sha'tar",
		["Astranaar"] = "Astranaar",
		["Southshore"] = "S\195\188derstade",
		["Allerian Stronghold"] = "Allerias Feste",
		["Area 52"] = "Area 52",
		["Theramore"] = "Insel Theramore",
		["Wildhammer Stronghold"] = "Wildhammerfeste",
		["Thalanaar"] = "Thalanaar",
		["Plaguewood"] = "Der Pestwald",
		["Feathermoon"] = "Mondfederfeste",
		["Sanctum of the Stars"] = "Heiligtum der Sterne",
		["Evergrove"] = "Der ewige Hain",
		["Expedition Point"] = "Expeditionsr\195\188stlager",
		["Booty Bay"] = "Beutebucht",
		["Refuge Pointe"] = "Die Zuflucht",
		["Temple of Telhamat"] = "Tempel von Telhamat",
		["Thorium Point"] = "Thoriumspitze",
		["Auberdine"] = "Auberdine",
		["Aerie Peak"] = "Nistgipfel",
		["Sylvanaar"] = "Sylvanaar",
		["Lakeshire"] = "Seenhain",
		["Telaar"] = "Telaar",
		["Menethil Harbor"] = "Hafen von Menethil",
		["Toshley's Station"] = "Toshleys Station",
		["Nighthaven"] = "Nachthafen",
		["The Stormspire"] = "Die Sturms\195\164ule",
		["Rut'theran Village"] = "Rut'theran",
		["Darkshire"] = "Dunkelhain",
		["Shatter Point"] = "Tr\195\188mmerposten",
		["Shattrath"] = "Shattrath",
		["The Exodar"] = "Exodar",
		["Nethergarde Keep"] = "Burg Nethergarde",
		["Honor Point"] = "Ehrenpunkt",
		["Everlook"] = "Ewige Warte",
		["Stonetalon Peak"] = "Steinkrallengipfel",
		["Emerald Sanctuary"] = "Smaragdrefugium",
		["Stormwind"] = "Sturmwind",
		["Telredor"] = "Telredor",
		["Sentinel Hill"] = "Sp\195\164herkuppe",
		["Talonbranch Glade"] = "Nachtlaublichtung",
		["Cenarion Hold"] = "Burg Cenarius",
		["Honor Hold"] = "Ehrenfeste",
		["Orebor Harborage"] = "Oreborzuflucht",
		
		--Horde
		["Marshal's Refuge"] = "Marshalls Zuflucht",
		["Cenarion Hold"] = "Burg Cenarius",
		["Crossroads"] = "Das Wegekreuz",
		["Kargath"] = "Kargath",
	--	["Bloodvenom Post"] = "",
		["Light's Hope Chapel"] = "Kapelle des hoffnungsvollen Lichts",
		["Shadowprey Village"] = "Schattenflucht",
		["Thorium Point"] = "Thoriumspitze",
		["Ratchet"] = "Ratschet",
		["Brackenwall Village"] = "Brackenwall",
		["Revantusk Village"] = "Dorf der Bruchhauer",
		["Hammerfall"] = "Hammerfall",
		["Everlook"] = "Ewige Warte",
		["Flame Crest"] = "Flammenkamm",
		["Orgrimmar"] = "Orgrimmar",
		["Freewind Post"] = "Freiwindposten",
		["Undercity"] = "Unterstadt",
		["Gadgetzan"] = "Gadgetzan",
		["Booty Bay"] = "Beutebucht",
		["Camp Taurajo"] = "Camp Taurajo",
		["Stonard"] = "Steinard",
		["Tarren Mill"] = "Tarrens M?hle",
		["Grom'gol"] = "Grom'gol",
	--	["Valormok"] = "",
		["The Sepulcher"] = "Das Grabmahl",
		["Sun Rock Retreat"] = "Sonnenfels",
		["Moonglade"] = "Mondlichtung",
		["Thunder Bluff"] = "Donnerfels",
		["Zoram'gar Outpost"] = "Au?enposten von Zoram'gar",
		["Splintertree Post"] = "Splitterholzposten",
		["Camp Mojache"] = "Camp Mojache",
		["Zabra'jin"] = "Zabra'jin",
		["Thrallmar"] = "Thrallmar",
		["Tranquillien"] = "Tristessa",
	--	["Spinebreaker Ridge"] = "",
		["Silvermoon City"] = "Silbermond",
		["Swamprat Post"] = "Sumpfrattenposten",
		["Stonebreaker Hold"] = "Steinbrecherfeste",
		["Shattrath"] = "Shattrath",
		["Falcon Watch"] = "Falkenwacht",
		["Evergrove"] = "Der ewige Hain",
		["Area 52"] = "Area 52",
		["The Stormspire"] = "Die Sturms\195\164ule",
		["Thunderlord Stronghold"] = "Donnerfeste",
		["Garadar"] = "Garadar",
		["Mok'Nathal Village"] = "Dorf der Mok'Nathal",
		["Cosmowrench"] = "Kosmozang",
		["Hellfire Peninsula"] = "H\195\182llenfeuerhalbinsel, das Dunkle Portal", 
	}
-- Translated by StingerSoft (Эритнулл ака Шептун)
elseif locale == "ruRU" then 
	localization = {
		-- Alliance
		["Marshal's Refuge"] = "Укрытие Маршалла",
		["Light's Hope Chapel"] = "Часовня Последней Надежды",
		["Blood Watch"] = "Кровавая застава",
		["Ratchet"] = "Кабестан",
		["Hellfire Peninsula"] = "Полуостров Адского Пламени",
		["Talrendis Point"] = "Застава Талрендис",
		["Cosmowrench"] = "Космоворот",
		["Chillwind Camp"] = "Лагерь Промозглого Ветра",
		["Nijel's Point"] = "Высота Найджела",
		["Ironforge"] = "Стальгорн",
		["Moonglade"] = "Лунная поляна",
		["Gadgetzan"] = "Прибамбасск",
		["Thelsamar"] = "Телcамар",
		["Morgan's Vigil"] = "Дозор Моргана",
		["Altar of Sha'tar"] = "Алтарь Ша'тара",
		["Astranaar"] = "Астранаар",
		["Southshore"] = "Южнобережье",
		["Allerian Stronghold"] = "Бастион Аллерии",
		["Area 52"] = "Зона 52",
		["Theramore"] = "Остров Терамор",
		["Wildhammer Stronghold"] = "Цитадель Громового Молота",
		["Thalanaar"] = "Таланаар",
		["Plaguewood"] = "Проклятый лес",
		["Feathermoon"] = "Крепость Оперенной Луны",
		["Sanctum of the Stars"] = "Святилище Звезд",
		["Evergrove"] = "Вечная роща",
		["Expedition Point"] = "Лагерь экспедиции",
		["Booty Bay"] = "Пиратская бухта",
		["Refuge Pointe"] = "Опорный пункт",
		["Temple of Telhamat"] = "Храм Телхамата",
		["Thorium Point"] = "Лагерь Братства Тория",
		["Auberdine"] = "Аубердин",
		["Aerie Peak"] = "Заоблачный Пик",
		["Sylvanaar"] = "Сильванаар",
		["Lakeshire"] = "Приозерье",
		["Telaar"] = "Телаар",
		["Menethil Harbor"] = "Гавань Менетил",
		["Toshley's Station"] = "Станция Тошли",
		["Nighthaven"] = "Ночная Гавань",
		["The Stormspire"] = "Штормовая Вершина",
		["Rut'theran Village"] = "Деревня Рут'теран",
		["Darkshire"] = "Темнолесьеn",
		["Shatter Point"] = "Парящая застава",
		["Shattrath"] = "Шаттрат",
		["The Exodar"] = "Экзодар",
		["Nethergarde Keep"] = "Крепость Стражей Пустоты",
		["Honor Point"] = "Парящая застава",
		["Everlook"] = "Круговзор",
		["Stonetalon Peak"] = "Пик Каменного Когтя",
		["Emerald Sanctuary"] = "Изумрудное святилище",
		["Stormwind"] = "Штормград",
		["Telredor"] = "Телредор",
		["Sentinel Hill"] = "Сторожевой холм",
		["Talonbranch Glade"] = "Поляна Когтистых Ветвей",
		["Cenarion Hold"] = "Крепость Ценариона",
		["Honor Hold"] = "Оплот Чести",
		["Orebor Harborage"] = "Прибежище Оребор",
		
		--Horde
		["Marshal's Refuge"] = "Укрытие Маршалла",
		["Cenarion Hold"] = "Крепость Ценариона",
		["Crossroads"] = "Перекресток",
		["Kargath"] = "Каргат",
		["Bloodvenom Post"] = "Застава Отравленной Крови",
		["Light's Hope Chapel"] = "Часовня Последней Надежды",
		["Shadowprey Village"] = "Деревня Ночных Охотников",
		["Thorium Point"] = "Лагерь Братства Тория",
		["Ratchet"] = "Кабестан",
		["Brackenwall Village"] = "Деревня Гиблотопь",
		["Revantusk Village"] = "Деревня Сломанного Клыка",
		["Hammerfall"] = "Павший Молот",
		["Everlook"] = "Круговзор",
		["Flame Crest"] = "Пламенеющий Стяг",
		["Orgrimmar"] = "Оргриммар",
		["Freewind Post"] = "Застава Вольного Ветра",
		["Undercity"] = "Подгород",
		["Gadgetzan"] = "Прибамбасск",
		["Booty Bay"] = "Пиратская бухта",
		["Camp Taurajo"] = "Лагерь Таурахо",
		["Stonard"] = "Каменор",
		["Tarren Mill"] = "Мельница Таррен",
		["Grom'gol"] = "Лагерь Гром'гол",
		["Valormok"] = "Храбростан",
		["The Sepulcher"] = "Гробница",
		["Sun Rock Retreat"] = "Приют у Солнечного Камня",
		["Moonglade"] = "Лунная поляна",
		["Thunder Bluff"] = "Громовой Утес",
		["Zoram'gar Outpost"] = "Форт Зорам'гар",
		["Splintertree Post"] = "Застава Расщепленного Дерева",
		["Camp Mojache"] = "Лагерь Мохаче",
		["Zabra'jin"] = "Забра'джин",
		["Thrallmar"] = "Траллмар",
		["Tranquillien"] = "Транквиллион",
		["Spinebreaker Ridge"] = "Гребень Хребтолома",
		["Silvermoon City"] = "Луносвет",
		["Swamprat Post"] = "Застава Болотной Крысы",
		["Stonebreaker Hold"] = "Форт Камнеломов",
		["Shattrath"] = "Шаттрат",
		["Falcon Watch"] = "Соколиный Дозор",
		["Evergrove"] = "Вечная роща",
		["Area 52"] = "Зона 52",
		["The Stormspire"] = "Штормовая Вершина",
		["Thunderlord Stronghold"] = "Оплот Громоборцев",
		["Garadar"] = "Гарадар",
		["Mok'Nathal Village"] = "Деревня Мок'Натал",
		["Cosmowrench"] = "Космоворот",
		["Hellfire Peninsula"] = "Полуостров Адского Пламени", 
	}
end

-- localization helpers, please keep the table as is since it's easier to copy and paste new data
local data = {
	["Horde"] = {
		["Marshal's Refuge"] = {
			["Crossroads"] = 391,
			["Gadgetzan"] = 114,
			["Mudsprocket"] = 268,
			["Ratchet"] = 354,
			["Emerald Sanctuary"] = 619,
			["Brackenwall Village"] = 294,
			["Everlook"] = 675,
			["Thunder Bluff"] = 417,
			["Cenarion Hold"] = 100,
			["Valormok"] = 547,
			["Orgrimmar"] = 452,
		},
		["Bloodvenom Post"] = {
			["Crossroads"] = 270,
			["Moonglade"] = 161,
			["Shadowprey Village"] = 604,
			["Camp Mojache"] = 524,
			["Camp Taurajo"] = 315,
			["Zoram'gar Outpost"] = 501,
			["Emerald Sanctuary"] = 69,
			["Sun Rock Retreat"] = 413,
			["Freewind Post"] = 458,
			["Valormok"] = 242,
			["Everlook"] = 191,
			["Thunder Bluff"] = 349,
			["Brackenwall Village"] = 433,
			["Orgrimmar"] = 248,
		},
		["Mudsprocket"] = {
			["Marshal's Refuge"] = 270,
			["Gadgetzan"] = 164,
			["Ratchet"] = 150,
			["Emerald Sanctuary"] = 413,
			["Camp Mojache"] = 194,
			["Freewind Post"] = 71,
			["Thunder Bluff"] = 225,
			["Brackenwall Village"] = 63,
			["Splintertree Post"] = 335,
			["Orgrimmar"] = 246,
		},
		["Ratchet"] = {
			["Crossroads"] = 68,
			["Gadgetzan"] = 242,
			["Sun Rock Retreat"] = 218,
			["Shadowprey Village"] = 335,
			["Camp Taurajo"] = 141,
			["Camp Mojache"] = 317,
			["Brackenwall Village"] = 101,
			["Emerald Sanctuary"] = 269,
			["Thunder Bluff"] = 175,
			["Freewind Post"] = 204,
			["Everlook"] = 325,
			["Cenarion Hold"] = 452,
			["Splintertree Post"] = 190,
			["Orgrimmar"] = 101,
		},
		["Old Hillsbrad Foothills"] = {
			["Durnholde Keep"] = 88,
		},
		["Venomspite"] = {
			["Camp Winterhoof"] = 144,
			["Agmar's Hammer"] = 133,
			["Wyrmrest Temple"] = 51,
			["Conquest Hold"] = 62,
			["Dalaran"] = 148,
			["Apothecary Camp"] = 98,
			["Moa'ki"] = 82,
			["New Agamand"] = 187,
		},
		["Revantusk Village"] = {
			["Undercity"] = 285,
			["Light's Hope Chapel"] = 139,
			["Stonard"] = 576,
			["Tarren Mill"] = 159,
			["Grom'gol"] = 589,
			["Hammerfall"] = 93,
			["Booty Bay"] = 648,
			["The Sepulcher"] = 258,
			["Kargath"] = 352,
		},
		["Hammerfall"] = {
			["Undercity"] = 257,
			["Light's Hope Chapel"] = 229,
			["Stonard"] = 483,
			["Tarren Mill"] = 117,
			["Grom'gol"] = 497,
			["Revantusk Village"] = 91,
			["Booty Bay"] = 556,
			["Thorium Point"] = 318,
			["Kargath"] = 259,
		},
		["Silvermoon City"] = {
			["Revantusk Village"] = 318,
			["Shattered Sun Staging Area"] = 136,
			["Zul'Aman"] = 111,
			["Light's Hope Chapel"] = 179,
			["Tranquillien"] = 65,
			["Hammerfall"] = 627,
			["Tarren Mill"] = 511,
			["Grom'gol"] = 1090,
		},
		["Shadowmoon Village"] = {
			["Stonebreaker Hold"] = 74,
			["Shattrath"] = 126,
			["Swamprat Post"] = 206,
			["Hellfire Peninsula"] = 267,
			["Area 52"] = 331,
			["Thunderlord Stronghold"] = 311,
			["Altar of Sha'tar"] = 84,
			["Garadar"] = 208,
			["Zabra'jin"] = 263,
			["Sanctum of the Stars"] = 65,
		},
		["Unu'pe"] = {
			["Transitus Shield"] = 133,
			["Taunka'le Village"] = 22,
			["Kamagua"] = 302,
			["Warsong Hold"] = 88,
		},
		["Orgrimmar"] = {
			["Marshal's Refuge"] = 452,
			["Bloodvenom Post"] = 249,
			["Sun Rock Retreat"] = 257,
			["Shadowprey Village"] = 373,
			["Ratchet"] = 107,
			["Brackenwall Village"] = 229,
			["Everlook"] = 240,
			["Gadgetzan"] = 417,
			["Mudsprocket"] = 266,
			["Moonglade"] = 358,
			["Camp Taurajo"] = 181,
			["Zoram'gar Outpost"] = 249,
			["Emerald Sanctuary"] = 168,
			["Crossroads"] = 107,
			["Thunder Bluff"] = 225,
			["Freewind Post"] = 292,
			["Valormok"] = 95,
			["Cenarion Hold"] = 489,
			["Splintertree Post"] = 90,
			["Camp Mojache"] = 359,
		},
		["Undercity"] = {
			["Kargath"] = 488,
			["Zul'Aman"] = 354,
			["Light's Hope Chapel"] = 261,
			["Stonard"] = 712,
			["Tarren Mill"] = 141,
			["Grom'gol"] = 726,
			["Revantusk Village"] = 285,
			["Hammerfall"] = 300,
			["Booty Bay"] = 926,
			["Silvermoon City"] = 445,
			["The Sepulcher"] = 106,
			["Flame Crest"] = 555,
			["Thorium Point"] = 544,
		},
		["Zul'Aman"] = {
			["Silvermoon City"] = 118,
			["Light's Hope Chapel"] = 101,
		},
		["Warsong Hold"] = {
			["Transitus Shield"] = 72,
			["The Argent Vanguard"] = 317,
			["Venomspite"] = 262,
			["Dalaran"] = 294,
			["Unu'pe"] = 93,
			["Agmar's Hammer"] = 177,
			["Vengeance Landing"] = 477,
			["Bor'gorok Outpost"] = 69,
			["Kor'koron Vanguard"] = 239,
			["K3"] = 340,
			["The Argent Stand"] = 391,
			["Taunka'le Village"] = 87,
			["Wyrmrest Temple"] = 225,
			["Camp Oneqwah"] = 421,
			["River's Heart"] = 125,
			["Amber Ledge"] = 36,
			["Kamagua"] = 394,
		},
		["Altar of Sha'tar"] = {
			["Stonebreaker Hold"] = 139,
			["Shattrath"] = 193,
			["Thrallmar"] = 263,
			["Cosmowrench"] = 463,
			["Shadowmoon Village"] = 67,
			["Zabra'jin"] = 329,
			["Garadar"] = 274,
		},
		["Kamagua"] = {
			["Venomspite"] = 174,
			["Agmar's Hammer"] = 258,
			["Camp Winterhoof"] = 115,
			["Apothecary Camp"] = 56,
			["Moa'ki"] = 195,
		},
		["Grom'gol"] = {
			["Kargath"] = 247,
			["Stonard"] = 173,
			["Tarren Mill"] = 563,
			["Revantusk Village"] = 0,
			["Hammerfall"] = 500,
			["Booty Bay"] = 78,
			["Thorium Point"] = 230,
			["Flame Crest"] = 198,
			["Undercity"] = 744,
		},
		["Skyguard Outpost"] = {
			["Blackwind Landing"] = 243,
		},
		["Evergrove"] = {
			["Stonebreaker Hold"] = 306,
			["Shattrath"] = 238,
			["Area 52"] = 78,
			["Altar of Sha'tar"] = 452,
			["Zabra'jin"] = 184,
			["Thrallmar"] = 287,
			["Thunderlord Stronghold"] = 29,
			["Swamprat Post"] = 152,
			["Mok'Nathal Village"] = 91,
			["The Stormspire"] = 125,
			["Garadar"] = 262,
		},
		["Acherus: The Ebon Hold"] = {
			["Undercity"] = 309,
			["Revantusk Village"] = 189,
			["Light's Hope Chapel"] = 51,
			["Silvermoon City"] = 238,
			["Stonard"] = 763,
			["Flame Crest"] = 606,
			["Tarren Mill"] = 348,
		},
		["Light's Breach"] = {
			["Venomspite"] = 122,
			["Wyrmrest Temple"] = 173,
			["Ebon Watch"] = 40,
			["Dalaran"] = 107,
			["The Argent Stand"] = 44,
		},
		["Thorium Point"] = {
			["Undercity"] = 558,
			["Light's Hope Chapel"] = 561,
			["Stonard"] = 278,
			["Tarren Mill"] = 435,
			["Grom'gol"] = 374,
			["Revantusk Village"] = 421,
			["Hammerfall"] = 317,
			["Booty Bay"] = 366,
			["Flame Crest"] = 61,
			["Kargath"] = 59,
		},
		["Gundrak"] = {
			["The Argent Stand"] = 109,
			["Dalaran"] = 337,
			["Zim'Torga"] = 56,
			["K3"] = 201,
		},
		["Nesingwary Base Camp"] = {
			["Bor'gorok Outpost"] = 92,
			["Dalaran"] = 518,
		},
		["Everlook"] = {
			["Camp Mojache"] = 603,
			["Bloodvenom Post"] = 196,
			["Moonglade"] = 134,
			["Splintertree Post"] = 229,
			["Gadgetzan"] = 576,
			["Auberdine"] = 280,
			["Zoram'gar Outpost"] = 296,
			["Emerald Sanctuary"] = 229,
			["Valormok"] = 136,
			["Ratchet"] = 351,
			["Sun Rock Retreat"] = 448,
			["Thunder Bluff"] = 386,
			["Cenarion Hold"] = 798,
			["Feathermoon"] = 755,
			["Orgrimmar"] = 243,
		},
		["Dalaran"] = {
			["Ulduar"] = 181,
			["Transitus Shield"] = 346,
			["Apothecary Camp"] = 256,
			["Grom'arsh Crash-Site"] = 130,
			["Conquest Hold"] = 200,
			["Sunreaver's Command"] = 57,
			["Zim'Torga"] = 186,
			["Warsong Hold"] = 321,
			["Amber Ledge"] = 373,
			["Kamagua"] = 310,
			["Moa'ki"] = 160,
			["Death's Rise"] = 256,
			["Camp Winterhoof"] = 279,
			["Light's Breach"] = 126,
			["The Argent Vanguard"] = 32,
			["Gundrak"] = 238,
			["Nesingwary Base Camp"] = 360,
			["Crusaders' Pinnacle"] = 39,
			["Venomspite"] = 163,
			["The Shadow Vault"] = 162,
			["Vengeance Landing"] = 335,
			["Dun Nifflelem"] = 155,
			["Bor'gorok Outpost"] = 307,
			["Kor'koron Vanguard"] = 73,
			["K3"] = 55,
			["River's Heart"] = 356,
			["The Argent Stand"] = 145,
			["Bouldercrag's Refuge"] = 167,
			["Wyrmrest Temple"] = 121,
			["Camp Oneqwah"] = 231,
			["Agmar's Hammer"] = 125,
			["Ebon Watch"] = 81,
			["Camp Tunka'lo"] = 145,
			["New Agamand"] = 348,
		},
		["Blackwind Landing"] = {
			["Skyguard Outpost"] = 238,
		},
		["Agmar's Hammer"] = {
			["Vengeance Landing"] = 303,
			["Warsong Hold"] = 198,
			["Bor'gorok Outpost"] = 187,
			["Kor'koron Vanguard"] = 64,
			["Amber Ledge"] = 189,
			["Venomspite"] = 88,
			["Taunka'le Village"] = 113,
			["Wyrmrest Temple"] = 51,
			["Conquest Hold"] = 145,
			["Zim'Torga"] = 258,
			["Dalaran"] = 122,
			["Moa'ki"] = 63,
			["New Agamand"] = 273,
		},
		["Shattrath"] = {
			["Evergrove"] = 211,
			["Garadar"] = 82,
			["Area 52"] = 205,
			["Hellfire Peninsula"] = 220,
			["Thunderlord Stronghold"] = 185,
			["Shadowmoon Village"] = 133,
			["Falcon Watch"] = 77,
			["Stonebreaker Hold"] = 69,
			["Spinebreaker Ridge"] = 215,
			["Swamprat Post"] = 79,
			["The Stormspire"] = 253,
			["Cosmowrench"] = 270,
			["Thrallmar"] = 150,
			["Altar of Sha'tar"] = 214,
			["Mok'Nathal Village"] = 150,
			["Zabra'jin"] = 137,
			["Sanctum of the Stars"] = 198,
		},
		["Spinebreaker Ridge"] = {
			["Falcon Watch"] = 129,
			["Swamprat Post"] = 198,
			["Shattrath"] = 200,
			["Thrallmar"] = 62,
		},
		["Nighthaven"] = {
			["Thunder Bluff"] = 400,
		},
		["Camp Taurajo"] = {
			["Crossroads"] = 79,
			["Bloodvenom Post"] = 328,
			["Sun Rock Retreat"] = 228,
			["Shadowprey Village"] = 274,
			["Ratchet"] = 130,
			["Brackenwall Village"] = 60,
			["Everlook"] = 387,
			["Orgrimmar"] = 196,
			["Gadgetzan"] = 219,
			["Marshal's Refuge"] = 319,
			["Zoram'gar Outpost"] = 315,
			["Mudsprocket"] = 122,
			["Freewind Post"] = 125,
			["Valormok"] = 243,
			["Moonglade"] = 488,
			["Thunder Bluff"] = 114,
			["Cenarion Hold"] = 384,
			["Splintertree Post"] = 242,
			["Camp Mojache"] = 248,
		},
		["Taunka'le Village"] = {
			["Agmar's Hammer"] = 91,
			["Vengeance Landing"] = 391,
			["Warsong Hold"] = 85,
			["Kor'koron Vanguard"] = 152,
			["Amber Ledge"] = 75,
			["Unu'pe"] = 30,
			["Dalaran"] = 208,
			["Moa'ki"] = 148,
			["Transitus Shield"] = 111,
		},
		["Tranquillien"] = {
			["Silvermoon City"] = 74,
			["Undercity"] = 375,
			["Flame Crest"] = 672,
			["Light's Hope Chapel"] = 117,
		},
		["Thrallmar"] = {
			["Garadar"] = 200,
			["Shattrath"] = 138,
			["Spinebreaker Ridge"] = 66,
			["Swamprat Post"] = 136,
			["Hellfire Peninsula"] = 70,
			["Thunderlord Stronghold"] = 242,
			["Area 52"] = 262,
			["Falcon Watch"] = 66,
			["Zabra'jin"] = 217,
			["Stonebreaker Hold"] = 129,
		},
		["Thunder Bluff"] = {
			["Crossroads"] = 103,
			["Bloodvenom Post"] = 356,
			["Sun Rock Retreat"] = 182,
			["Shadowprey Village"] = 159,
			["Ratchet"] = 154,
			["Brackenwall Village"] = 239,
			["Everlook"] = 380,
			["Orgrimmar"] = 207,
			["Gadgetzan"] = 290,
			["Camp Taurajo"] = 87,
			["Zoram'gar Outpost"] = 265,
			["Marshal's Refuge"] = 394,
			["Mudsprocket"] = 206,
			["Freewind Post"] = 204,
			["Valormok"] = 252,
			["Cenarion Hold"] = 382,
			["Splintertree Post"] = 265,
			["Camp Mojache"] = 253,
		},
		["Zabra'jin"] = {
			["Evergrove"] = 139,
			["Garadar"] = 82,
			["Shattrath"] = 151,
			["Swamprat Post"] = 112,
			["Hellfire Peninsula"] = 291,
			["Thunderlord Stronghold"] = 113,
			["Thrallmar"] = 220,
			["Falcon Watch"] = 147,
			["Shadowmoon Village"] = 284,
			["The Stormspire"] = 257,
			["Stonebreaker Hold"] = 220,
		},
		["Camp Mojache"] = {
			["Crossroads"] = 269,
			["Bloodvenom Post"] = 512,
			["Moonglade"] = 639,
			["Shadowprey Village"] = 201,
			["Ratchet"] = 291,
			["Brackenwall Village"] = 433,
			["Freewind Post"] = 107,
			["Orgrimmar"] = 381,
			["Gadgetzan"] = 193,
			["Zoram'gar Outpost"] = 500,
			["Emerald Sanctuary"] = 506,
			["Mudsprocket"] = 176,
			["Sun Rock Retreat"] = 403,
			["Valormok"] = 429,
			["Thunder Bluff"] = 260,
			["Cenarion Hold"] = 131,
			["Splintertree Post"] = 430,
			["Everlook"] = 572,
		},
		["Caverns of Time"] = {
			["Caverns of Time"] = 59,
		},
		["Kargath"] = {
			["Undercity"] = 498,
			["Light's Hope Chapel"] = 490,
			["Stonard"] = 225,
			["Tarren Mill"] = 376,
			["Grom'gol"] = 239,
			["Revantusk Village"] = 350,
			["Hammerfall"] = 258,
			["Booty Bay"] = 298,
			["Flame Crest"] = 69,
			["Thorium Point"] = 57,
		},
		["Ulduar"] = {
			["Grom'arsh Crash-Site"] = 45,
			["Camp Oneqwah"] = 236,
			["Dun Nifflelem"] = 104,
			["Dalaran"] = 154,
			["Camp Tunka'lo"] = 88,
		},
		["Moonglade"] = {
			["Crossroads"] = 430,
			["Bloodvenom Post"] = 159,
			["Sun Rock Retreat"] = 574,
			["Camp Taurajo"] = 522,
			["Emerald Sanctuary"] = 186,
			["Orgrimmar"] = 378,
			["Everlook"] = 142,
			["Valormok"] = 277,
			["Thunder Bluff"] = 460,
			["Freewind Post"] = 619,
			["Camp Mojache"] = 605,
		},
		["Death's Rise"] = {
			["The Shadow Vault"] = 94,
			["River's Heart"] = 117,
			["Crusaders' Pinnacle"] = 214,
		},
		["Apothecary Camp"] = {
			["Camp Oneqwah"] = 117,
			["Vengeance Landing"] = 133,
			["Camp Winterhoof"] = 60,
			["Moa'ki"] = 200,
			["Kamagua"] = 54,
		},
		["Crusaders' Pinnacle"] = {
			["Vengeance Landing"] = 384,
			["The Shadow Vault"] = 123,
			["The Argent Vanguard"] = 33,
			["Wyrmrest Temple"] = 175,
		},
		["Ebon Watch"] = {
			["Venomspite"] = 99,
			["Camp Oneqwah"] = 149,
			["Light's Breach"] = 45,
			["Dalaran"] = 68,
			["The Argent Stand"] = 64,
		},
		["Grom'arsh Crash-Site"] = {
			["Bouldercrag's Refuge"] = 35,
			["Camp Tunka'lo"] = 97,
			["Dalaran"] = 111,
		},
		["The Stormspire"] = {
			["Evergrove"] = 134,
			["Stonebreaker Hold"] = 346,
			["Shattrath"] = 277,
			["Area 52"] = 54,
			["Thrallmar"] = 326,
			["Thunderlord Stronghold"] = 147,
			["Mok'Nathal Village"] = 118,
			["Zabra'jin"] = 294,
			["Shadowmoon Village"] = 410,
		},
		["Hellfire Peninsula"] = {
			["Shattrath"] = 193,
			["Thrallmar"] = 59,
			["Thunderlord Stronghold"] = 297,
			["Zabra'jin"] = 272,
			["Falcon Watch"] = 123,
		},
		["Conquest Hold"] = {
			["Agmar's Hammer"] = 219,
			["Vengeance Landing"] = 158,
			["Light's Breach"] = 80,
			["Kor'koron Vanguard"] = 204,
			["The Argent Vanguard"] = 207,
			["Venomspite"] = 88,
			["Dalaran"] = 186,
			["Bor'gorok Outpost"] = 390,
			["Camp Oneqwah"] = 101,
		},
		["Freewind Post"] = {
			["Crossroads"] = 192,
			["Bloodvenom Post"] = 431,
			["Moonglade"] = 592,
			["Shadowprey Village"] = 327,
			["Brackenwall Village"] = 96,
			["Everlook"] = 491,
			["Orgrimmar"] = 279,
			["Gadgetzan"] = 93,
			["Camp Taurajo"] = 137,
			["Zoram'gar Outpost"] = 419,
			["Mudsprocket"] = 70,
			["Sun Rock Retreat"] = 332,
			["Valormok"] = 359,
			["Thunder Bluff"] = 220,
			["Cenarion Hold"] = 256,
			["Splintertree Post"] = 349,
			["Camp Mojache"] = 124,
		},
		["Bouldercrag's Refuge"] = {
			["Grom'arsh Crash-Site"] = 41,
			["Ulduar"] = 44,
			["Camp Tunka'lo"] = 132,
			["K3"] = 128,
			["Dalaran"] = 152,
		},
		["Flame Crest"] = {
			["Kargath"] = 82,
			["Light's Hope Chapel"] = 571,
			["Stonard"] = 192,
			["Tarren Mill"] = 466,
			["Grom'gol"] = 207,
			["Revantusk Village"] = 440,
			["Hammerfall"] = 348,
			["Booty Bay"] = 284,
			["Thorium Point"] = 62,
			["Undercity"] = 589,
		},
		["Warsong Camp"] = {
			["Kor'koron Vanguard"] = 162,
			["River's Heart"] = 75,
			["Dalaran"] = 141,
		},
		["New Agamand"] = {
			["Venomspite"] = 192,
			["Camp Winterhoof"] = 80,
			["Vengeance Landing"] = 80,
			["Conquest Hold"] = 151,
			["Wyrmrest Temple"] = 246,
			["Apothecary Camp"] = 104,
			["Kamagua"] = 76,
			["Warsong Hold"] = 529,
		},
		["Emerald Sanctuary"] = {
			["Bloodvenom Post"] = 80,
			["Moonglade"] = 204,
			["Ratchet"] = 281,
			["Camp Mojache"] = 489,
			["Gadgetzan"] = 514,
			["Everlook"] = 226,
			["Cenarion Hold"] = 619,
			["Splintertree Post"] = 83,
			["Orgrimmar"] = 173,
		},
		["Gadgetzan"] = {
			["Crossroads"] = 307,
			["Bloodvenom Post"] = 520,
			["Moonglade"] = 681,
			["Shadowprey Village"] = 399,
			["Ratchet"] = 243,
			["Brackenwall Village"] = 195,
			["Freewind Post"] = 87,
			["Orgrimmar"] = 333,
			["Mudsprocket"] = 155,
			["Camp Taurajo"] = 223,
			["Zoram'gar Outpost"] = 508,
			["Marshal's Refuge"] = 107,
			["Everlook"] = 563,
			["Valormok"] = 448,
			["Sun Rock Retreat"] = 421,
			["Thunder Bluff"] = 304,
			["Cenarion Hold"] = 233,
			["Splintertree Post"] = 438,
			["Camp Mojache"] = 195,
		},
		["Sunreaver's Command"] = {
			["K3"] = 34,
			["Dalaran"] = 56,
		},
		["Cosmowrench"] = {
			["Shattrath"] = 287,
			["Shadowmoon Village"] = 420,
			["Zabra'jin"] = 312,
			["The Stormspire"] = 62,
		},
		["Camp Oneqwah"] = {
			["Venomspite"] = 183,
			["Vengeance Landing"] = 106,
			["Conquest Hold"] = 95,
			["Dalaran"] = 199,
			["Wyrmrest Temple"] = 223,
			["Camp Winterhoof"] = 49,
		},
		["Tarren Mill"] = {
			["Undercity"] = 137,
			["Light's Hope Chapel"] = 299,
			["Thorium Point"] = 435,
			["Grom'gol"] = 690,
			["Revantusk Village"] = 160,
			["Hammerfall"] = 116,
			["Kargath"] = 376,
			["Booty Bay"] = 813,
			["The Sepulcher"] = 100,
			["Flame Crest"] = 466,
			["Stonard"] = 600,
		},
		["Zoram'gar Outpost"] = {
			["Crossroads"] = 230,
			["Bloodvenom Post"] = 138,
			["Sun Rock Retreat"] = 374,
			["Shadowprey Village"] = 565,
			["Camp Taurajo"] = 309,
			["Brackenwall Village"] = 394,
			["Camp Mojache"] = 485,
			["Moonglade"] = 263,
			["Thunder Bluff"] = 247,
			["Freewind Post"] = 419,
			["Splintertree Post"] = 170,
			["Orgrimmar"] = 259,
		},
		["Stonard"] = {
			["Undercity"] = 728,
			["Zul'Aman"] = 815,
			["Light's Hope Chapel"] = 721,
			["Thorium Point"] = 270,
			["Tarren Mill"] = 608,
			["Grom'gol"] = 179,
			["Revantusk Village"] = 583,
			["Hammerfall"] = 493,
			["Booty Bay"] = 230,
			["Flame Crest"] = 176,
			["Kargath"] = 231,
		},
		["Zim'Torga"] = {
			["The Argent Stand"] = 53,
			["Camp Oneqwah"] = 83,
			["Kor'koron Vanguard"] = 212,
			["Conquest Hold"] = 150,
			["Light's Breach"] = 77,
			["Dalaran"] = 172,
			["Kamagua"] = 241,
			["Gundrak"] = 54,
		},
		["InFlight"] = {
			["InFlight"] = 130,
		},
		["Sun Rock Retreat"] = {
			["Crossroads"] = 150,
			["Bloodvenom Post"] = 396,
			["Moonglade"] = 556,
			["Shadowprey Village"] = 145,
			["Orgrimmar"] = 266,
			["Ratchet"] = 206,
			["Zoram'gar Outpost"] = 121,
			["Emerald Sanctuary"] = 243,
			["Brackenwall Village"] = 282,
			["Camp Taurajo"] = 241,
			["Freewind Post"] = 334,
			["Thunder Bluff"] = 175,
			["Valormok"] = 323,
			["Splintertree Post"] = 294,
			["Camp Mojache"] = 404,
		},
		["The Shadow Vault"] = {
			["The Argent Stand"] = 295,
			["Dun Nifflelem"] = 269,
			["Transitus Shield"] = 500,
			["K3"] = 211,
			["Crusaders' Pinnacle"] = 121,
			["Kamagua"] = 461,
			["Death's Rise"] = 78,
		},
		["Mok'Nathal Village"] = {
			["Evergrove"] = 88,
			["Shattrath"] = 160,
			["Thunderlord Stronghold"] = 63,
			["Cosmowrench"] = 122,
			["The Stormspire"] = 104,
			["Swamprat Post"] = 74,
		},
		["Moa'ki"] = {
			["Agmar's Hammer"] = 64,
			["Transitus Shield"] = 264,
			["Bor'gorok Outpost"] = 225,
			["Amber Ledge"] = 228,
			["Kamagua"] = 185,
			["Venomspite"] = 62,
			["Taunka'le Village"] = 153,
			["Wyrmrest Temple"] = 49,
			["Conquest Hold"] = 121,
			["Dalaran"] = 123,
			["Unu'pe"] = 132,
			["Warsong Hold"] = 219,
		},
		["Sanctum of the Stars"] = {
			["Garadar"] = 268,
			["Shattrath"] = 186,
			["Thrallmar"] = 257,
			["Area 52"] = 391,
			["Shadowmoon Village"] = 61,
		},
		["Crossroads"] = {
			["Marshal's Refuge"] = 385,
			["Bloodvenom Post"] = 244,
			["Sun Rock Retreat"] = 144,
			["Shadowprey Village"] = 336,
			["Ratchet"] = 52,
			["Brackenwall Village"] = 163,
			["Freewind Post"] = 185,
			["Orgrimmar"] = 117,
			["Gadgetzan"] = 304,
			["Camp Taurajo"] = 73,
			["Zoram'gar Outpost"] = 231,
			["Mudsprocket"] = 194,
			["Everlook"] = 303,
			["Moonglade"] = 404,
			["Thunder Bluff"] = 107,
			["Valormok"] = 171,
			["Cenarion Hold"] = 387,
			["Splintertree Post"] = 161,
			["Camp Mojache"] = 255,
		},
		["Garadar"] = {
			["Evergrove"] = 203,
			["Stonebreaker Hold"] = 145,
			["Shattrath"] = 77,
			["Swamprat Post"] = 156,
			["Area 52"] = 274,
			["Hellfire Peninsula"] = 270,
			["Falcon Watch"] = 126,
			["Shadowmoon Village"] = 210,
			["Thunderlord Stronghold"] = 178,
			["Thrallmar"] = 199,
			["The Stormspire"] = 322,
			["Cosmowrench"] = 340,
			["Zabra'jin"] = 67,
			["Sanctum of the Stars"] = 274,
		},
		["The Sin'loren"] = {
			["Shattered Sun Staging Area"] = 12,
		},
		["Camp Winterhoof"] = {
			["Apothecary Camp"] = 56,
			["Vengeance Landing"] = 74,
			["Conquest Hold"] = 94,
			["Moa'ki"] = 305,
			["Dalaran"] = 322,
			["Kamagua"] = 111,
			["New Agamand"] = 80,
		},
		["Shadowprey Village"] = {
			["Marshal's Refuge"] = 418,
			["Bloodvenom Post"] = 596,
			["Moonglade"] = 757,
			["Ratchet"] = 333,
			["Brackenwall Village"] = 323,
			["Freewind Post"] = 314,
			["Orgrimmar"] = 382,
			["Gadgetzan"] = 397,
			["Camp Taurajo"] = 261,
			["Zoram'gar Outpost"] = 584,
			["Crossroads"] = 281,
			["Sun Rock Retreat"] = 200,
			["Thunder Bluff"] = 173,
			["Valormok"] = 431,
			["Cenarion Hold"] = 337,
			["Splintertree Post"] = 514,
			["Camp Mojache"] = 196,
		},
		["Area 52"] = {
			["Evergrove"] = 81,
			["Stonebreaker Hold"] = 292,
			["Shattrath"] = 224,
			["Swamprat Post"] = 137,
			["Garadar"] = 306,
			["Thunderlord Stronghold"] = 108,
			["Zabra'jin"] = 248,
			["Cosmowrench"] = 67,
			["The Stormspire"] = 48,
			["Shadowmoon Village"] = 357,
		},
		["The Argent Vanguard"] = {
			["The Shadow Vault"] = 148,
			["Wyrmrest Temple"] = 142,
			["Dalaran"] = 32,
		},
		["River's Heart"] = {
			["Death's Rise"] = 140,
			["Nesingwary Base Camp"] = 64,
			["Conquest Hold"] = 559,
		},
		["Brackenwall Village"] = {
			["Crossroads"] = 162,
			["Bloodvenom Post"] = 408,
			["Moonglade"] = 568,
			["Shadowprey Village"] = 322,
			["Ratchet"] = 89,
			["Everlook"] = 467,
			["Orgrimmar"] = 217,
			["Gadgetzan"] = 205,
			["Camp Taurajo"] = 49,
			["Zoram'gar Outpost"] = 358,
			["Emerald Sanctuary"] = 352,
			["Mudsprocket"] = 63,
			["Freewind Post"] = 105,
			["Valormok"] = 335,
			["Thunder Bluff"] = 225,
			["Sun Rock Retreat"] = 277,
			["Splintertree Post"] = 325,
			["Camp Mojache"] = 227,
		},
		["Vengeance Landing"] = {
			["Warsong Hold"] = 548,
			["Agmar's Hammer"] = 371,
			["Moa'ki"] = 330,
			["Camp Winterhoof"] = 71,
			["Apothecary Camp"] = 130,
			["Dalaran"] = 303,
			["Kamagua"] = 154,
			["New Agamand"] = 80,
		},
		["Dun Nifflelem"] = {
			["Grom'arsh Crash-Site"] = 128,
			["River's Heart"] = 438,
			["Crusaders' Pinnacle"] = 187,
			["The Argent Vanguard"] = 181,
			["Dalaran"] = 159,
		},
		["Thunderlord Stronghold"] = {
			["Evergrove"] = 26,
			["Stonebreaker Hold"] = 272,
			["Shattrath"] = 202,
			["Swamprat Post"] = 116,
			["Hellfire Peninsula"] = 322,
			["Garadar"] = 227,
			["The Stormspire"] = 158,
			["Mok'Nathal Village"] = 56,
			["Shadowmoon Village"] = 336,
			["Cosmowrench"] = 163,
			["Zabra'jin"] = 149,
			["Area 52"] = 97,
		},
		["Booty Bay"] = {
			["Kargath"] = 315,
			["Light's Hope Chapel"] = 773,
			["Thorium Point"] = 481,
			["Tarren Mill"] = 691,
			["Grom'gol"] = 75,
			["Undercity"] = 812,
			["Revantusk Village"] = 666,
			["Hammerfall"] = 567,
			["Flame Crest"] = 273,
			["Refuge Pointe"] = 740,
			["Stonard"] = 240,
			["Chillwind Camp"] = 773,
			["Southshore"] = 753,
		},
		["The Sepulcher"] = {
			["Undercity"] = 112,
			["Zul'Aman"] = 392,
			["Light's Hope Chapel"] = 380,
			["Revantusk Village"] = 255,
			["Flame Crest"] = 539,
			["Tarren Mill"] = 95,
		},
		["Falcon Watch"] = {
			["Spinebreaker Ridge"] = 138,
			["Stonebreaker Hold"] = 139,
			["Shattrath"] = 71,
			["Thrallmar"] = 73,
			["Garadar"] = 133,
			["Swamprat Post"] = 69,
			["Zabra'jin"] = 150,
			["Hellfire Peninsula"] = 143,
		},
		["Shattered Sun Staging Area"] = {
			["Shattered Sun Staging Area"] = 255,
			["Tranquillien"] = 231,
			["Silvermoon City"] = 167,
			["The Sin'loren"] = 59,
			["Zul'Aman"] = 233,
		},
		["Splintertree Post"] = {
			["Crossroads"] = 161,
			["Camp Mojache"] = 413,
			["Bloodvenom Post"] = 164,
			["Sun Rock Retreat"] = 287,
			["Shadowprey Village"] = 477,
			["Gadgetzan"] = 508,
			["Ratchet"] = 204,
			["Zoram'gar Outpost"] = 166,
			["Emerald Sanctuary"] = 85,
			["Camp Taurajo"] = 234,
			["Everlook"] = 221,
			["Thunder Bluff"] = 267,
			["Valormok"] = 92,
			["Freewind Post"] = 345,
			["Brackenwall Village"] = 320,
			["Orgrimmar"] = 96,
		},
		["Stonebreaker Hold"] = {
			["Evergrove"] = 267,
			["Garadar"] = 138,
			["Shattrath"] = 56,
			["Swamprat Post"] = 135,
			["Zabra'jin"] = 193,
			["Altar of Sha'tar"] = 149,
			["Falcon Watch"] = 133,
			["Shadowmoon Village"] = 68,
		},
		["Transitus Shield"] = {
			["Agmar's Hammer"] = 137,
			["Vengeance Landing"] = 338,
			["Warsong Hold"] = 57,
			["Bor'gorok Outpost"] = 52,
			["Amber Ledge"] = 30,
			["Kamagua"] = 295,
			["Kor'koron Vanguard"] = 179,
			["Venomspite"] = 195,
			["Taunka'le Village"] = 77,
			["Wyrmrest Temple"] = 170,
			["Conquest Hold"] = 233,
			["River's Heart"] = 89,
			["Dalaran"] = 216,
			["Unu'pe"] = 96,
			["New Agamand"] = 318,
		},
		["Wyrmrest Temple"] = {
			["Camp Oneqwah"] = 141,
			["Transitus Shield"] = 194,
			["Kor'koron Vanguard"] = 44,
			["Venomspite"] = 34,
			["Dun Nifflelem"] = 165,
			["Agmar's Hammer"] = 46,
			["Dalaran"] = 65,
			["Moa'ki"] = 35,
			["Crusaders' Pinnacle"] = 83,
		},
		["Bor'gorok Outpost"] = {
			["Agmar's Hammer"] = 168,
			["Transitus Shield"] = 92,
			["Amber Ledge"] = 57,
			["Taunka'le Village"] = 78,
			["Conquest Hold"] = 311,
			["Warsong Hold"] = 72,
			["Dalaran"] = 310,
			["Unu'pe"] = 108,
			["River's Heart"] = 57,
		},
		["Swamprat Post"] = {
			["Evergrove"] = 132,
			["Stonebreaker Hold"] = 155,
			["Shattrath"] = 87,
			["Area 52"] = 203,
			["Garadar"] = 168,
			["Hellfire Peninsula"] = 206,
			["The Stormspire"] = 174,
			["Cosmowrench"] = 193,
			["Thunderlord Stronghold"] = 106,
			["Thrallmar"] = 136,
			["Altar of Sha'tar"] = 301,
			["Mok'Nathal Village"] = 71,
			["Zabra'jin"] = 111,
			["Falcon Watch"] = 63,
		},
		["K3"] = {
			["The Shadow Vault"] = 224,
			["Dalaran"] = 71,
			["Wyrmrest Temple"] = 135,
			["Conquest Hold"] = 162,
		},
		["Light's Hope Chapel"] = {
			["Kargath"] = 494,
			["Zul'Aman"] = 113,
			["Acherus: The Ebon Hold"] = 65,
			["Stonard"] = 717,
			["Tarren Mill"] = 301,
			["Grom'gol"] = 731,
			["Undercity"] = 260,
			["Revantusk Village"] = 142,
			["Tranquillien"] = 119,
			["Silvermoon City"] = 185,
			["Booty Bay"] = 835,
			["The Sepulcher"] = 367,
			["Flame Crest"] = 560,
			["Thorium Point"] = 467,
		},
		["The Argent Stand"] = {
			["Death's Rise"] = 345,
			["Dun Nifflelem"] = 127,
			["Conquest Hold"] = 98,
			["Light's Breach"] = 25,
			["Dalaran"] = 120,
			["Zim'Torga"] = 42,
		},
		["Plaguewood"] = {
			["Eastwall Tower"] = 65,
		},
		["Camp Tunka'lo"] = {
			["The Argent Stand"] = 151,
			["Dalaran"] = 185,
			["Dun Nifflelem"] = 45,
			["Grom'arsh Crash-Site"] = 100,
		},
		["Amber Ledge"] = {
			["Agmar's Hammer"] = 108,
			["Warsong Hold"] = 28,
			["Bor'gorok Outpost"] = 23,
			["Transitus Shield"] = 25,
			["Transitus Shield (Scenic)"] = 62,
			["Taunka'le Village"] = 48,
		},
		["Valormok"] = {
			["Crossroads"] = 251,
			["Bloodvenom Post"] = 232,
			["Sun Rock Retreat"] = 395,
			["Camp Mojache"] = 505,
			["Ratchet"] = 209,
			["Camp Taurajo"] = 342,
			["Moonglade"] = 277,
			["Emerald Sanctuary"] = 172,
			["Freewind Post"] = 348,
			["Brackenwall Village"] = 352,
			["Gadgetzan"] = 441,
			["Everlook"] = 130,
			["Cenarion Hold"] = 546,
			["Splintertree Post"] = 94,
			["Orgrimmar"] = 101,
		},
		["Cenarion Hold"] = {
			["Marshal's Refuge"] = 97,
			["Gadgetzan"] = 241,
			["Camp Mojache"] = 130,
			["Thunder Bluff"] = 390,
			["Shadowprey Village"] = 330,
			["Camp Taurajo"] = 374,
			["Orgrimmar"] = 510,
		},
		["Kor'koron Vanguard"] = {
			["Venomspite"] = 90,
			["Agmar's Hammer"] = 53,
			["Wyrmrest Temple"] = 68,
			["Warsong Hold"] = 247,
			["River's Heart"] = 291,
			["Moa'ki"] = 113,
		},
		["Argent Tournament Grounds"] = {
			["Dalaran"] = 140,
			["Return"] = 152,
		},
	},
	["Alliance"] = {
		["Marshal's Refuge"] = {
			["Gadgetzan"] = 104,
			["Mudsprocket"] = 315,
			["Ratchet"] = 350,
			["Auberdine"] = 746,
			["Theramore"] = 257,
			["Talonbranch Glade"] = 776,
			["Cenarion Hold"] = 95,
			["Feathermoon"] = 276,
			["Rut'theran Village"] = 833,
		},
		["Mudsprocket"] = {
			["Marshal's Refuge"] = 313,
			["Gadgetzan"] = 209,
			["Thalanaar"] = 106,
			["Theramore"] = 52,
			["Feathermoon"] = 284,
			["Ratchet"] = 167,
		},
		["Blood Watch"] = {
			["The Exodar"] = 76,
		},
		["Ratchet"] = {
			["Marshal's Refuge"] = 366,
			["Gadgetzan"] = 245,
			["Theramore"] = 105,
			["Forest Song"] = 156,
			["Astranaar"] = 197,
			["Stonetalon Peak"] = 352,
			["Everlook"] = 308,
			["Auberdine"] = 346,
			["Talrendis Point"] = 130,
			["Nijel's Point"] = 439,
		},
		["Hellfire Peninsula"] = {
			["Shatter Point"] = 28,
			["Telaar"] = 278,
			["Temple of Telhamat"] = 116,
			["Shattrath"] = 190,
			["Honor Hold"] = 69,
			["Telredor"] = 222,
		},
		["Stars' Rest"] = {
			["Westguard Keep"] = 244,
			["Wyrmrest Temple"] = 89,
			["Moa'ki"] = 71,
			["Fort Wildervar"] = 328,
			["Amber Ledge"] = 172,
			["Valiance Keep"] = 132,
			["Wintergarde Keep"] = 124,
		},
		["Cosmowrench"] = {
			["Evergrove"] = 145,
			["Shatter Point"] = 451,
			["Shattrath"] = 327,
			["Sylvanaar"] = 192,
			["Area 52"] = 65,
			["The Stormspire"] = 61,
			["Telredor"] = 229,
		},
		["Unu'pe"] = {
			["Transitus Shield"] = 158,
			["Amber Ledge"] = 122,
			["Valiance Keep"] = 60,
			["Wyrmrest Temple"] = 164,
			["Star's Rest"] = 98,
			["Valgarde Port"] = 382,
			["Fizzcrank Airstrip"] = 79,
			["Moa'ki"] = 118,
			["Wintergarde Keep"] = 202,
		},
		["Valgarde Port"] = {
			["Windrunner's Overlook"] = 282,
			["Ebon Watch"] = 249,
			["Light's Breach"] = 210,
			["The Argent Vanguard"] = 336,
			["Gundrak"] = 294,
			["Dalaran"] = 315,
			["Zim'Torga"] = 240,
			["Wintergarde Keep"] = 220,
			["Moa'ki"] = 313,
			["Transitus Shield"] = 534,
			["Kamagua"] = 96,
			["Westguard Keep"] = 70,
			["Amber Ledge"] = 497,
			["K3"] = 289,
			["Westfall Brigade"] = 168,
			["The Argent Stand"] = 249,
			["Valiance Keep"] = 455,
			["Wyrmrest Temple"] = 267,
			["Amberpine Lodge"] = 144,
			["Fort Wildervar"] = 71,
			["Unu'pe"] = 425,
			["Fordragon Hold"] = 310,
			["Star's Rest"] = 328,
		},
		["Zul'Aman"] = {
			["Ironforge"] = 475,
			["Shattered Sun Staging Area"] = 251,
			["Light's Hope Chapel"] = 108,
		},
		["Altar of Sha'tar"] = {
			["Evergrove"] = 459,
			["Shatter Point"] = 331,
			["Shattrath"] = 254,
			["Wildhammer Stronghold"] = 81,
			["Allerian Stronghold"] = 181,
			["Honor Hold"] = 276,
			["Telaar"] = 329,
		},
		["Stormwind City"] = {
			["Stormwind City"] = 65,
		},
		["Amberpine Lodge"] = {
			["Windrunner's Overlook"] = 138,
			["Valgarde Port"] = 151,
			["Moa'ki"] = 175,
			["Westguard Keep"] = 84,
			["Kamagua"] = 135,
			["Valiance Keep"] = 317,
			["Westfall Brigade"] = 84,
			["Fordragon Hold"] = 172,
			["Light's Breach"] = 66,
			["Wyrmrest Temple"] = 130,
			["Wintergarde Keep"] = 82,
			["Fort Wildervar"] = 117,
			["Dalaran"] = 172,
			["Zim'Torga"] = 156,
			["Star's Rest"] = 191,
		},
		["Fort Wildervar"] = {
			["Kamagua"] = 130,
			["Amberpine Lodge"] = 97,
			["Westguard Keep"] = 81,
			["Valiance Keep"] = 413,
			["Westfall Brigade"] = 97,
			["Valgarde Port"] = 74,
		},
		["Feathermoon"] = {
			["Gadgetzan"] = 325,
			["Auberdine"] = 468,
			["Nijel's Point"] = 227,
			["Theramore"] = 293,
			["Everlook"] = 788,
			["Astranaar"] = 502,
			["Talonbranch Glade"] = 663,
			["Thalanaar"] = 155,
			["Cenarion Hold"] = 153,
			["Ratchet"] = 408,
			["Rut'theran Village"] = 553,
		},
		["Southshore"] = {
			["Morgan's Vigil"] = 404,
			["Thorium Point"] = 245,
			["Aerie Peak"] = 72,
			["Lakeshire"] = 673,
			["Menethil Harbor"] = 111,
			["Ironforge"] = 207,
			["Chillwind Camp"] = 81,
			["Zul'Aman"] = 318,
			["Thelsamar"] = 245,
			["Nethergarde Keep"] = 617,
			["Stormwind"] = 354,
			["Darkshire"] = 417,
			["Sentinel Hill"] = 418,
			["Light's Hope Chapel"] = 219,
			["Rebel Camp"] = 449,
			["Refuge Pointe"] = 74,
			["Booty Bay"] = 539,
		},
		["Evergrove"] = {
			["Shattrath"] = 213,
			["Sylvanaar"] = 54,
			["Area 52"] = 73,
			["Telredor"] = 132,
			["Telaar"] = 241,
			["Toshley's Station"] = 45,
			["Orebor Harborage"] = 118,
			["Cosmowrench"] = 143,
			["Altar of Sha'tar"] = 448,
		},
		["Windrunner's Overlook"] = {
			["Ebon Watch"] = 46,
			["Valiance Keep"] = 312,
			["Valgarde Port"] = 265,
			["Kamagua"] = 253,
			["The Argent Vanguard"] = 122,
			["Amberpine Lodge"] = 147,
			["K3"] = 47,
			["Dalaran"] = 48,
			["Fordragon Hold"] = 157,
			["Wintergarde Keep"] = 76,
		},
		["Acherus: The Ebon Hold"] = {
			["Ironforge"] = 415,
			["Nethergarde Keep"] = 716,
			["Light's Hope Chapel"] = 49,
		},
		["Temple of Telhamat"] = {
			["Shatter Point"] = 142,
			["Shattrath"] = 178,
			["Sylvanaar"] = 172,
			["Telredor"] = 81,
			["Honor Hold"] = 88,
			["Hellfire Peninsula"] = 149,
		},
		["Thorium Point"] = {
			["Light's Hope Chapel"] = 449,
			["Darkshire"] = 439,
			["Refuge Pointe"] = 344,
			["Nethergarde Keep"] = 260,
			["Morgan's Vigil"] = 90,
			["Booty Bay"] = 612,
			["Aerie Peak"] = 398,
			["Sentinel Hill"] = 192,
			["Lakeshire"] = 123,
			["Thelsamar"] = 88,
			["Menethil Harbor"] = 160,
			["Ironforge"] = 90,
			["Stormwind"] = 126,
			["Chillwind Camp"] = 393,
			["Southshore"] = 261,
		},
		["Auberdine"] = {
			["Nijel's Point"] = 285,
			["Everlook"] = 270,
			["Gadgetzan"] = 597,
			["Moonglade"] = 151,
			["Ratchet"] = 361,
			["Talrendis Point"] = 300,
			["Theramore"] = 443,
			["Forest Song"] = 301,
			["Emerald Sanctuary"] = 246,
			["Thalanaar"] = 646,
			["Astranaar"] = 167,
			["Stonetalon Peak"] = 181,
			["Talonbranch Glade"] = 190,
			["Cenarion Hold"] = 623,
			["Feathermoon"] = 473,
			["Rut'theran Village"] = 84,
		},
		["Aerie Peak"] = {
			["Light's Hope Chapel"] = 164,
			["Darkshire"] = 505,
			["Refuge Pointe"] = 75,
			["Nethergarde Keep"] = 666,
			["Thorium Point"] = 354,
			["Morgan's Vigil"] = 453,
			["Ironforge"] = 256,
			["Sentinel Hill"] = 557,
			["Lakeshire"] = 723,
			["Thelsamar"] = 246,
			["Menethil Harbor"] = 176,
			["Booty Bay"] = 633,
			["Stormwind"] = 429,
			["Chillwind Camp"] = 53,
			["Southshore"] = 68,
		},
		["Lakeshire"] = {
			["Morgan's Vigil"] = 61,
			["Refuge Pointe"] = 633,
			["Darkshire"] = 61,
			["Thelsamar"] = 211,
			["Nethergarde Keep"] = 148,
			["Thorium Point"] = 130,
			["Booty Bay"] = 217,
			["Aerie Peak"] = 690,
			["Menethil Harbor"] = 278,
			["Stormwind"] = 113,
			["Light's Hope Chapel"] = 729,
			["Sentinel Hill"] = 134,
			["Ironforge"] = 209,
			["Rebel Camp"] = 105,
			["Chillwind Camp"] = 666,
			["Southshore"] = 645,
		},
		["Nesingwary Base Camp"] = {
			["Dalaran"] = 528,
			["Wyrmrest Temple"] = 444,
			["River's Heart"] = 76,
		},
		["Menethil Harbor"] = {
			["Morgan's Vigil"] = 290,
			["Shattered Sun Staging Area"] = 158,
			["Thelsamar"] = 163,
			["Refuge Pointe"] = 113,
			["Nethergarde Keep"] = 390,
			["Thorium Point"] = 132,
			["Light's Hope Chapel"] = 324,
			["Aerie Peak"] = 177,
			["Booty Bay"] = 444,
			["Lakeshire"] = 249,
			["Darkshire"] = 308,
			["Sentinel Hill"] = 307,
			["Ironforge"] = 88,
			["Stormwind"] = 244,
			["Chillwind Camp"] = 186,
			["Southshore"] = 107,
		},
		["Everlook"] = {
			["Bloodvenom Post"] = 197,
			["Moonglade"] = 111,
			["Auberdine"] = 251,
			["Stonetalon Peak"] = 433,
			["Talrendis Point"] = 167,
			["Rut'theran Village"] = 336,
			["Gadgetzan"] = 538,
			["Ratchet"] = 301,
			["Valormok"] = 136,
			["Astranaar"] = 296,
			["Emerald Sanctuary"] = 216,
			["Talonbranch Glade"] = 107,
			["Theramore"] = 405,
			["Nijel's Point"] = 565,
			["Thalanaar"] = 590,
			["Cenarion Hold"] = 798,
			["Feathermoon"] = 755,
			["Orgrimmar"] = 298,
		},
		["Dalaran"] = {
			["Ulduar"] = 168,
			["Transitus Shield"] = 352,
			["Stars' Rest"] = 174,
			["Crusaders' Pinnacle"] = 40,
			["Unu'pe"] = 269,
			["Valgarde Port"] = 317,
			["Frosthold"] = 72,
			["Westguard Keep"] = 248,
			["Amber Ledge"] = 343,
			["Kamagua"] = 298,
			["Amberpine Lodge"] = 199,
			["Fort Wildervar"] = 354,
			["Valiance Landing Camp"] = 114,
			["Fordragon Hold"] = 100,
			["Wintergarde Keep"] = 128,
			["Death's Rise"] = 206,
			["Windrunner's Overlook"] = 53,
			["Light's Breach"] = 126,
			["The Argent Vanguard"] = 32,
			["Gundrak"] = 238,
			["Nesingwary Base Camp"] = 361,
			["Argent Tournament Grounds"] = 123,
			["Westfall Brigade"] = 215,
			["The Shadow Vault"] = 162,
			["K3"] = 55,
			["Ebon Watch"] = 82,
			["The Argent Stand"] = 145,
			["Star's Rest"] = 174,
			["Wyrmrest Temple"] = 121,
			["Moa'ki"] = 159,
			["Fizzcrank Airstrip"] = 299,
			["River's Heart"] = 212,
			["Zim'Torga"] = 393,
			["Valiance Keep"] = 301,
		},
		["Blackwind Landing"] = {
			["Skyguard Outpost"] = 238,
		},
		["Argent Tournament Grounds"] = {
			["The Shadow Vault"] = 87,
			["Return"] = 152,
			["Dalaran"] = 140,
			["Bouldercrag's Refuge"] = 50,
			["Crusaders' Pinnacle"] = 73,
		},
		["Crusaders' Pinnacle"] = {
			["Frosthold"] = 72,
			["The Shadow Vault"] = 123,
			["Argent Tournament Grounds"] = 97,
			["Dalaran"] = 71,
			["The Argent Vanguard"] = 33,
		},
		["Shatter Point"] = {
			["Evergrove"] = 334,
			["Shattrath"] = 175,
			["Sylvanaar"] = 304,
			["Temple of Telhamat"] = 132,
			["Honor Point"] = 41,
			["Hellfire Peninsula"] = 32,
			["Telaar"] = 263,
			["the Abyssal Shelf"] = 155,
			["Honor Hold"] = 57,
			["Altar of Sha'tar"] = 333,
		},
		["Shattrath"] = {
			["Evergrove"] = 205,
			["Temple of Telhamat"] = 165,
			["Area 52"] = 234,
			["Telredor"] = 84,
			["Hellfire Peninsula"] = 171,
			["Telaar"] = 88,
			["Toshley's Station"] = 153,
			["Orebor Harborage"] = 139,
			["The Stormspire"] = 284,
			["Shatter Point"] = 165,
			["Sylvanaar"] = 175,
			["Altar of Sha'tar"] = 234,
			["Allerian Stronghold"] = 75,
			["Wildhammer Stronghold"] = 153,
			["Cosmowrench"] = 302,
			["Honor Hold"] = 111,
			["Sanctum of the Stars"] = 195,
		},
		["The Exodar"] = {
			["Blood Watch"] = 77,
		},
		["Kamagua"] = {
			["Moa'ki"] = 195,
			["Unu'pe"] = 327,
			["Wyrmrest Temple"] = 236,
			["Westguard Keep"] = 37,
			["Fort Wildervar"] = 121,
			["Dalaran"] = 283,
			["Valiance Keep"] = 377,
			["Valgarde Port"] = 80,
		},
		["Nighthaven"] = {
			["Rut'theran Village"] = 152,
		},
		["Valiance Keep"] = {
			["Windrunner's Overlook"] = 330,
			["Transitus Shield"] = 99,
			["Stars' Rest"] = 145,
			["Fizzcrank Airstrip"] = 75,
			["Westfall Brigade"] = 417,
			["Valgarde Port"] = 454,
			["Wintergarde Keep"] = 266,
			["Westguard Keep"] = 386,
			["Amber Ledge"] = 63,
			["Kamagua"] = 365,
			["Moa'ki"] = 181,
			["River's Heart"] = 138,
			["Unu'pe"] = 64,
			["Wyrmrest Temple"] = 229,
			["Amberpine Lodge"] = 337,
			["Fort Wildervar"] = 450,
			["Crusaders' Pinnacle"] = 317,
			["Fordragon Hold"] = 219,
			["Star's Rest"] = 146,
		},
		["Death's Rise"] = {
			["Westguard Keep"] = 494,
			["The Shadow Vault"] = 94,
			["Crusaders' Pinnacle"] = 174,
			["Transitus Shield"] = 259,
		},
		["Skyguard Outpost"] = {
			["Blackwind Landing"] = 243,
		},
		["The Stormspire"] = {
			["Evergrove"] = 132,
			["Shattrath"] = 315,
			["Sylvanaar"] = 167,
			["Area 52"] = 54,
			["Cosmowrench"] = 69,
			["Telaar"] = 343,
			["Orebor Harborage"] = 230,
		},
		["Wyrmrest Temple"] = {
			["Valgarde Port"] = 160,
			["Fordragon Hold"] = 39,
			["Ebon Watch"] = 71,
			["Westguard Keep"] = 115,
			["Crusaders' Pinnacle"] = 83,
			["The Argent Vanguard"] = 80,
			["Transitus Shield"] = 181,
			["Valiance Keep"] = 129,
			["Moa'ki"] = 36,
			["Star's Rest"] = 45,
			["Amberpine Lodge"] = 81,
			["Kamagua"] = 149,
			["Dalaran"] = 65,
			["Unu'pe"] = 109,
			["Wintergarde Keep"] = 34,
		},
		["Valgarde"] = {
			["Explorers' League Outpost"] = 188,
		},
		["Talonbranch Glade"] = {
			["Marshal's Refuge"] = 809,
			["Gadgetzan"] = 702,
			["Moonglade"] = 67,
			["Nijel's Point"] = 473,
			["Theramore"] = 542,
			["Ratchet"] = 418,
			["Everlook"] = 107,
			["Emerald Sanctuary"] = 130,
			["Thalanaar"] = 708,
			["Auberdine"] = 188,
			["Astranaar"] = 209,
			["Talrendis Point"] = 282,
			["Cenarion Hold"] = 830,
			["Feathermoon"] = 663,
			["Rut'theran Village"] = 275,
		},
		["Rebel Camp"] = {
			["Darkshire"] = 48,
			["Stormwind"] = 98,
			["Booty Bay"] = 116,
			["Sentinel Hill"] = 66,
			["Ironforge"] = 300,
			["Lakeshire"] = 103,
			["Nethergarde Keep"] = 139,
			["Southshore"] = 472,
		},
		["S.S. Staging Area"] = {
			["S.S. Staging Area"] = 256,
		},
		["Stormwind"] = {
			["Morgan's Vigil"] = 153,
			["Thorium Point"] = 133,
			["Aerie Peak"] = 412,
			["Lakeshire"] = 113,
			["Menethil Harbor"] = 286,
			["Booty Bay"] = 199,
			["Chillwind Camp"] = 429,
			["Shattered Sun Staging Area"] = 281,
			["Zul'Aman"] = 622,
			["Thelsamar"] = 212,
			["Nethergarde Keep"] = 176,
			["Light's Hope Chapel"] = 522,
			["Darkshire"] = 116,
			["Sentinel Hill"] = 77,
			["Refuge Pointe"] = 375,
			["Rebel Camp"] = 92,
			["Ironforge"] = 215,
			["Southshore"] = 388,
		},
		["Caverns of Time"] = {
			["Caverns of Time"] = 59,
		},
		["The Argent Stand"] = {
			["The Shadow Vault"] = 287,
			["Ebon Watch"] = 53,
			["Light's Breach"] = 25,
			["The Argent Vanguard"] = 141,
			["Wyrmrest Temple"] = 144,
			["Valgarde Port"] = 230,
			["Westfall Brigade"] = 71,
			["Westguard Keep"] = 190,
			["Zim'Torga"] = 42,
			["Wintergarde Keep"] = 106,
		},
		["Ulduar"] = {
			["Frosthold"] = 103,
			["Bouldercrag's Refuge"] = 48,
			["Dalaran"] = 222,
			["K3"] = 151,
			["Zim'Torga"] = 154,
		},
		["Moonglade"] = {
			["Marshal's Refuge"] = 873,
			["Gadgetzan"] = 677,
			["Rut'theran Village"] = 230,
			["Ratchet"] = 415,
			["Theramore"] = 519,
			["Auberdine"] = 142,
			["Thalanaar"] = 724,
			["Forest Song"] = 444,
			["Talonbranch Glade"] = 62,
			["Everlook"] = 119,
			["Astranaar"] = 309,
			["Talrendis Point"] = 281,
			["Cenarion Hold"] = 765,
			["Feathermoon"] = 616,
			["Nijel's Point"] = 429,
		},
		["Old Hillsbrad Foothills"] = {
			["Durnholde Keep"] = 89,
		},
		["Emerald Sanctuary"] = {
			["Forest Song"] = 104,
			["Talonbranch Glade"] = 128,
			["Auberdine"] = 230,
			["Everlook"] = 218,
			["Astranaar"] = 80,
			["Talrendis Point"] = 128,
			["Theramore"] = 367,
			["Rut'theran Village"] = 313,
		},
		["Light's Breach"] = {
			["Windrunner's Overlook"] = 73,
			["Ebon Watch"] = 40,
			["Westguard Keep"] = 167,
			["Kamagua"] = 220,
			["The Argent Stand"] = 44,
			["Valgarde Port"] = 235,
			["Amberpine Lodge"] = 84,
			["Fort Wildervar"] = 200,
			["Zim'Torga"] = 84,
			["Westfall Brigade"] = 115,
			["Wintergarde Keep"] = 83,
		},
		["Ironforge"] = {
			["Light's Hope Chapel"] = 348,
			["Thorium Point"] = 84,
			["Aerie Peak"] = 240,
			["Lakeshire"] = 201,
			["Menethil Harbor"] = 114,
			["Booty Bay"] = 380,
			["Chillwind Camp"] = 257,
			["Shattered Sun Staging Area"] = 99,
			["Zul'Aman"] = 448,
			["Thelsamar"] = 101,
			["Nethergarde Keep"] = 338,
			["Stormwind"] = 210,
			["Darkshire"] = 259,
			["Sentinel Hill"] = 260,
			["Morgan's Vigil"] = 168,
			["Rebel Camp"] = 275,
			["Refuge Pointe"] = 203,
			["Southshore"] = 215,
		},
		["Sylvanaar"] = {
			["Evergrove"] = 52,
			["Shattrath"] = 179,
			["Area 52"] = 120,
			["Telredor"] = 82,
			["Allerian Stronghold"] = 255,
			["Telaar"] = 207,
			["The Stormspire"] = 170,
			["Toshley's Station"] = 57,
			["Cosmowrench"] = 185,
			["Honor Hold"] = 251,
			["Orebor Harborage"] = 66,
		},
		["Amber Ledge"] = {
			["Transitus Shield"] = 25,
			["Light's Breach"] = 247,
			["Valiance Keep"] = 44,
			["Stars' Rest"] = 112,
			["Transitus Shield (Scenic)"] = 62,
			["Unu'pe"] = 66,
			["Fizzcrank Airstrip"] = 24,
			["River's Heart"] = 65,
			["Star's Rest"] = 112,
		},
		["The Shadow Vault"] = {
			["Death's Rise"] = 77,
			["The Argent Stand"] = 295,
			["Dalaran"] = 166,
			["Argent Tournament Grounds"] = 77,
			["Crusaders' Pinnacle"] = 121,
			["K3"] = 211,
			["Westguard Keep"] = 401,
		},
		["Ebon Watch"] = {
			["Windrunner's Overlook"] = 34,
			["Light's Breach"] = 45,
			["K3"] = 41,
			["The Argent Stand"] = 64,
			["Valgarde Port"] = 251,
			["Wyrmrest Temple"] = 92,
			["The Argent Vanguard"] = 89,
			["Kamagua"] = 239,
			["Dalaran"] = 67,
			["Fordragon Hold"] = 112,
			["Wintergarde Keep"] = 62,
		},
		["Talrendis Point"] = {
			["Gadgetzan"] = 373,
			["Auberdine"] = 303,
			["Emerald Sanctuary"] = 133,
			["Theramore"] = 241,
			["Astranaar"] = 150,
			["Forest Song"] = 26,
			["Everlook"] = 179,
			["Thalanaar"] = 402,
			["Stonetalon Peak"] = 305,
			["Talonbranch Glade"] = 284,
			["Cenarion Hold"] = 619,
			["Ratchet"] = 136,
			["Rut'theran Village"] = 393,
		},
		["Fizzcrank Airstrip"] = {
			["Death's Rise"] = 222,
			["Transitus Shield"] = 121,
			["Westguard Keep"] = 560,
			["Amber Ledge"] = 67,
			["Valiance Keep"] = 106,
			["Moa'ki"] = 274,
			["Unu'pe"] = 97,
			["Fordragon Hold"] = 315,
			["Dalaran"] = 412,
			["River's Heart"] = 96,
			["Star's Rest"] = 199,
		},
		["Chillwind Camp"] = {
			["Thelsamar"] = 309,
			["Refuge Pointe"] = 138,
			["Zul'Aman"] = 250,
			["Darkshire"] = 794,
			["Nethergarde Keep"] = 667,
			["Thorium Point"] = 355,
			["Light's Hope Chapel"] = 147,
			["Aerie Peak"] = 65,
			["Booty Bay"] = 723,
			["Lakeshire"] = 723,
			["Sentinel Hill"] = 558,
			["Menethil Harbor"] = 194,
			["Ironforge"] = 260,
			["Stormwind"] = 418,
			["Morgan's Vigil"] = 454,
			["Southshore"] = 86,
		},
		["Nijel's Point"] = {
			["Gadgetzan"] = 464,
			["Theramore"] = 308,
			["Auberdine"] = 282,
			["Ratchet"] = 422,
			["Everlook"] = 601,
			["Stonetalon Peak"] = 120,
			["Astranaar"] = 273,
			["Talonbranch Glade"] = 477,
			["Feathermoon"] = 232,
			["Rut'theran Village"] = 369,
		},
		["Frosthold"] = {
			["The Shadow Vault"] = 177,
			["Ulduar"] = 98,
			["The Argent Vanguard"] = 34,
			["The Argent Stand"] = 155,
			["Dalaran"] = 65,
			["Bouldercrag's Refuge"] = 65,
			["Crusaders' Pinnacle"] = 60,
			["River's Heart"] = 371,
			["K3"] = 49,
		},
		["Zim'Torga"] = {
			["Windrunner's Overlook"] = 138,
			["Ulduar"] = 154,
			["Light's Breach"] = 76,
			["The Argent Stand"] = 53,
			["Wintergarde Keep"] = 159,
			["Westguard Keep"] = 242,
			["Dalaran"] = 172,
			["Westfall Brigade"] = 57,
			["Valgarde Port"] = 214,
		},
		["Gadgetzan"] = {
			["Marshal's Refuge"] = 104,
			["Ratchet"] = 247,
			["Nijel's Point"] = 481,
			["Theramore"] = 154,
			["Astranaar"] = 443,
			["Everlook"] = 552,
			["Thalanaar"] = 177,
			["Cenarion Hold"] = 197,
			["Feathermoon"] = 351,
			["Rut'theran Village"] = 675,
		},
		["Thelsamar"] = {
			["Refuge Pointe"] = 164,
			["Darkshire"] = 263,
			["Light's Hope Chapel"] = 412,
			["Nethergarde Keep"] = 341,
			["Thorium Point"] = 82,
			["Morgan's Vigil"] = 171,
			["Aerie Peak"] = 238,
			["Booty Bay"] = 576,
			["Lakeshire"] = 203,
			["Sentinel Hill"] = 269,
			["Menethil Harbor"] = 153,
			["Ironforge"] = 109,
			["Stormwind"] = 206,
			["Chillwind Camp"] = 407,
			["Southshore"] = 251,
		},
		["Westguard Keep"] = {
			["Wintergarde Keep"] = 151,
			["Transitus Shield"] = 465,
			["Light's Breach"] = 143,
			["Unu'pe"] = 357,
			["Kamagua"] = 51,
			["Westfall Brigade"] = 183,
			["Valiance Keep"] = 387,
			["Moa'ki"] = 244,
			["Wyrmrest Temple"] = 200,
			["Amberpine Lodge"] = 77,
			["Fort Wildervar"] = 86,
			["Star's Rest"] = 260,
			["Fordragon Hold"] = 241,
			["Valgarde Port"] = 69,
		},
		["Transitus Shield"] = {
			["Ulduar"] = 322,
			["Amber Ledge"] = 30,
			["Valiance Keep"] = 74,
			["Star's Rest"] = 141,
			["River's Heart"] = 94,
			["Dalaran"] = 236,
			["Moa'ki"] = 173,
			["Kamagua"] = 295,
			["Fizzcrank Airstrip"] = 52,
			["Unu'pe"] = 95,
			["Valgarde Port"] = 348,
		},
		["Light's Hope Chapel"] = {
			["Refuge Pointe"] = 250,
			["Thorium Point"] = 467,
			["Aerie Peak"] = 162,
			["Lakeshire"] = 835,
			["Menethil Harbor"] = 333,
			["Booty Bay"] = 835,
			["Chillwind Camp"] = 150,
			["Shattered Sun Staging Area"] = 342,
			["Zul'Aman"] = 106,
			["Thelsamar"] = 424,
			["Nethergarde Keep"] = 669,
			["Stormwind"] = 527,
			["Acherus: The Ebon Hold"] = 71,
			["Sentinel Hill"] = 670,
			["Morgan's Vigil"] = 566,
			["Darkshire"] = 906,
			["Ironforge"] = 368,
			["Southshore"] = 226,
		},
		["Booty Bay"] = {
			["Kargath"] = 395,
			["Light's Hope Chapel"] = 773,
			["Thorium Point"] = 481,
			["Aerie Peak"] = 791,
			["Lakeshire"] = 212,
			["Menethil Harbor"] = 472,
			["Ironforge"] = 401,
			["Chillwind Camp"] = 773,
			["Thelsamar"] = 587,
			["Nethergarde Keep"] = 252,
			["Stonard"] = 252,
			["Grom'gol"] = 103,
			["Stormwind"] = 199,
			["Refuge Pointe"] = 740,
			["Sentinel Hill"] = 148,
			["Darkshire"] = 167,
			["Rebel Camp"] = 118,
			["Morgan's Vigil"] = 374,
			["Southshore"] = 753,
		},
		["Allerian Stronghold"] = {
			["Shattrath"] = 75,
			["Altar of Sha'tar"] = 163,
			["Telredor"] = 158,
			["Hellfire Peninsula"] = 156,
			["Telaar"] = 150,
			["Wildhammer Stronghold"] = 79,
			["Orebor Harborage"] = 221,
			["The Stormspire"] = 358,
			["Honor Hold"] = 93,
		},
		["Wintergarde Keep"] = {
			["Windrunner's Overlook"] = 71,
			["Ebon Watch"] = 64,
			["Westguard Keep"] = 126,
			["Valgarde Port"] = 195,
			["Kamagua"] = 177,
			["Unu'pe"] = 211,
			["Valiance Keep"] = 242,
			["Moa'ki"] = 99,
			["Wyrmrest Temple"] = 54,
			["Amberpine Lodge"] = 77,
			["Light's Breach"] = 89,
			["Dalaran"] = 118,
			["Fordragon Hold"] = 96,
			["Star's Rest"] = 115,
		},
		["InFlight"] = {
			["InFlight"] = 1,
		},
		["Wildhammer Stronghold"] = {
			["Allerian Stronghold"] = 101,
			["Shattrath"] = 174,
			["Sylvanaar"] = 348,
			["Telaar"] = 249,
			["Altar of Sha'tar"] = 84,
			["The Stormspire"] = 515,
			["Sanctum of the Stars"] = 43,
		},
		["Astranaar"] = {
			["Gadgetzan"] = 546,
			["Nijel's Point"] = 281,
			["Theramore"] = 389,
			["Forest Song"] = 134,
			["Ratchet"] = 193,
			["Talonbranch Glade"] = 338,
			["Emerald Sanctuary"] = 79,
			["Everlook"] = 296,
			["Talrendis Point"] = 149,
			["Stonetalon Peak"] = 155,
			["Thalanaar"] = 457,
			["Auberdine"] = 148,
			["Feathermoon"] = 512,
			["Rut'theran Village"] = 233,
		},
		["Valiance Landing Camp"] = {
			["River's Heart"] = 137,
			["Transitus Shield"] = 277,
			["Fordragon Hold"] = 49,
			["Dalaran"] = 91,
			["The Argent Vanguard"] = 114,
			["Star's Rest"] = 80,
		},
		["Moa'ki"] = {
			["Transitus Shield"] = 260,
			["Westguard Keep"] = 206,
			["Amber Ledge"] = 224,
			["Valiance Keep"] = 182,
			["Valgarde Port"] = 274,
			["Kamagua"] = 185,
			["Stars' Rest"] = 55,
			["Wyrmrest Temple"] = 49,
			["Amberpine Lodge"] = 156,
			["Star's Rest"] = 54,
			["Dalaran"] = 127,
			["Unu'pe"] = 132,
			["Wintergarde Keep"] = 85,
		},
		["Star's Rest"] = {
			["Westguard Keep"] = 244,
			["Valiance Keep"] = 131,
			["Valgarde Port"] = 312,
			["Fordragon Hold"] = 81,
			["Fizzcrank Airstrip"] = 129,
			["Wyrmrest Temple"] = 90,
			["Amberpine Lodge"] = 195,
			["Moa'ki"] = 71,
			["Dalaran"] = 186,
			["Unu'pe"] = 101,
			["Wintergarde Keep"] = 123,
		},
		["Dun Nifflelem"] = {
			["Dalaran"] = 159,
			["Bouldercrag's Refuge"] = 132,
		},
		["Bouldercrag's Refuge"] = {
			["Frosthold"] = 79,
			["Ulduar"] = 45,
			["Argent Tournament Grounds"] = 60,
			["K3"] = 127,
			["The Argent Vanguard"] = 112,
		},
		["Morgan's Vigil"] = {
			["Refuge Pointe"] = 460,
			["Thelsamar"] = 172,
			["Light's Hope Chapel"] = 477,
			["Nethergarde Keep"] = 198,
			["Thorium Point"] = 91,
			["Darkshire"] = 122,
			["Aerie Peak"] = 505,
			["Ironforge"] = 171,
			["Lakeshire"] = 63,
			["Sentinel Hill"] = 195,
			["Menethil Harbor"] = 339,
			["Booty Bay"] = 513,
			["Stormwind"] = 151,
			["Chillwind Camp"] = 501,
			["Southshore"] = 472,
		},
		["Refuge Pointe"] = {
			["Light's Hope Chapel"] = 233,
			["Darkshire"] = 748,
			["Morgan's Vigil"] = 408,
			["Nethergarde Keep"] = 621,
			["Thorium Point"] = 309,
			["Thelsamar"] = 171,
			["Aerie Peak"] = 73,
			["Ironforge"] = 271,
			["Lakeshire"] = 677,
			["Sentinel Hill"] = 515,
			["Menethil Harbor"] = 126,
			["Booty Bay"] = 683,
			["Stormwind"] = 373,
			["Chillwind Camp"] = 122,
			["Southshore"] = 87,
		},
		["The Argent Vanguard"] = {
			["Frosthold"] = 41,
			["Westfall Brigade"] = 232,
			["Ebon Watch"] = 132,
			["Light's Breach"] = 176,
			["Dalaran"] = 32,
			["K3"] = 88,
			["Crusaders' Pinnacle"] = 28,
		},
		["The Sin'loren"] = {
			["Shattered Sun Staging Area"] = 12,
		},
		["Theramore"] = {
			["Marshal's Refuge"] = 261,
			["Gadgetzan"] = 157,
			["Mudsprocket"] = 63,
			["Nijel's Point"] = 334,
			["Auberdine"] = 440,
			["Ratchet"] = 115,
			["Forest Song"] = 260,
			["Astranaar"] = 368,
			["Thalanaar"] = 163,
			["Everlook"] = 412,
			["Talrendis Point"] = 234,
			["Cenarion Hold"] = 354,
			["Feathermoon"] = 336,
			["Rut'theran Village"] = 524,
		},
		["Expedition Point"] = {
			["Shatter Point"] = 56,
		},
		["Area 52"] = {
			["Evergrove"] = 78,
			["Shatter Point"] = 387,
			["Shattrath"] = 262,
			["Sylvanaar"] = 127,
			["Telredor"] = 165,
			["Allerian Stronghold"] = 337,
			["Telaar"] = 290,
			["Toshley's Station"] = 93,
			["Cosmowrench"] = 66,
			["The Stormspire"] = 48,
		},
		["Telredor"] = {
			["Evergrove"] = 145,
			["Shattrath"] = 97,
			["Sylvanaar"] = 91,
			["Temple of Telhamat"] = 82,
			["Area 52"] = 153,
			["Hellfire Peninsula"] = 230,
			["Allerian Stronghold"] = 173,
			["Telaar"] = 125,
			["Wildhammer Stronghold"] = 250,
			["Cosmowrench"] = 219,
			["Orebor Harborage"] = 55,
			["Honor Hold"] = 169,
			["The Stormspire"] = 200,
		},
		["Telaar"] = {
			["Evergrove"] = 248,
			["Shatter Point"] = 252,
			["Shattrath"] = 87,
			["Sylvanaar"] = 217,
			["Area 52"] = 280,
			["Telredor"] = 127,
			["Allerian Stronghold"] = 122,
			["Cosmowrench"] = 345,
			["Wildhammer Stronghold"] = 200,
			["Toshley's Station"] = 195,
			["Orebor Harborage"] = 182,
			["The Stormspire"] = 327,
			["Altar of Sha'tar"] = 281,
		},
		["Stonetalon Peak"] = {
			["Nijel's Point"] = 127,
			["Auberdine"] = 177,
			["Astranaar"] = 155,
			["Theramore"] = 435,
			["Ratchet"] = 348,
			["Rut'theran Village"] = 262,
		},
		["Toshley's Station"] = {
			["Evergrove"] = 53,
			["Shattrath"] = 238,
			["Sylvanaar"] = 60,
			["Area 52"] = 84,
			["Orebor Harborage"] = 125,
			["Telredor"] = 140,
			["Telaar"] = 265,
		},
		["Thalanaar"] = {
			["Gadgetzan"] = 171,
			["Mudsprocket"] = 86,
			["Theramore"] = 160,
			["Nijel's Point"] = 405,
			["Ratchet"] = 251,
			["Auberdine"] = 786,
			["Talrendis Point"] = 403,
			["Astranaar"] = 967,
			["Cenarion Hold"] = 375,
			["Feathermoon"] = 170,
			["Rut'theran Village"] = 874,
		},
		["Sanctum of the Stars"] = {
			["Allerian Stronghold"] = 142,
			["Shattrath"] = 215,
			["Telaar"] = 290,
			["Wildhammer Stronghold"] = 42,
		},
		["Rut'theran Village"] = {
			["Marshal's Refuge"] = 785,
			["Ratchet"] = 446,
			["Gadgetzan"] = 682,
			["Moonglade"] = 236,
			["Theramore"] = 529,
			["Emerald Sanctuary"] = 331,
			["Auberdine"] = 85,
			["Everlook"] = 354,
			["Forest Song"] = 387,
			["Talrendis Point"] = 384,
			["Astranaar"] = 253,
			["Talonbranch Glade"] = 275,
			["Thalanaar"] = 733,
			["Cenarion Hold"] = 709,
			["Feathermoon"] = 558,
			["Nijel's Point"] = 373,
		},
		["River's Heart"] = {
			["Dalaran"] = 514,
			["Nesingwary Base Camp"] = 64,
			["Valiance Keep"] = 208,
			["Fizzcrank Airstrip"] = 104,
			["Amber Ledge"] = 169,
			["Unu'pe"] = 199,
			["Wintergarde Keep"] = 481,
		},
		["Shattered Sun Staging Area"] = {
			["Shattered Sun Staging Area"] = 255,
			["Zul'Aman"] = 232,
			["Light's Hope Chapel"] = 329,
			["Ironforge"] = 690,
			["The Sin'loren"] = 60,
		},
		["Orebor Harborage"] = {
			["Telredor"] = 53,
			["Shattrath"] = 151,
			["Sylvanaar"] = 65,
			["Temple of Telhamat"] = 134,
			["Area 52"] = 184,
			["The Stormspire"] = 232,
			["Honor Hold"] = 261,
		},
		["Darkshire"] = {
			["Light's Hope Chapel"] = 885,
			["Refuge Pointe"] = 791,
			["Thelsamar"] = 270,
			["Morgan's Vigil"] = 121,
			["Nethergarde Keep"] = 97,
			["Thorium Point"] = 188,
			["Ironforge"] = 268,
			["Aerie Peak"] = 836,
			["Menethil Harbor"] = 337,
			["Stormwind"] = 88,
			["Lakeshire"] = 60,
			["Sentinel Hill"] = 93,
			["Booty Bay"] = 172,
			["Rebel Camp"] = 47,
			["Chillwind Camp"] = 843,
			["Southshore"] = 439,
		},
		["Nethergarde Keep"] = {
			["Light's Hope Chapel"] = 664,
			["Darkshire"] = 92,
			["Refuge Pointe"] = 699,
			["Morgan's Vigil"] = 209,
			["Thorium Point"] = 305,
			["Ironforge"] = 357,
			["Aerie Peak"] = 752,
			["Sentinel Hill"] = 183,
			["Lakeshire"] = 150,
			["Thelsamar"] = 546,
			["Menethil Harbor"] = 451,
			["Booty Bay"] = 249,
			["Stormwind"] = 189,
			["Chillwind Camp"] = 741,
			["Southshore"] = 710,
		},
		["Honor Point"] = {
			["Shatter Point"] = 30,
		},
		["K3"] = {
			["Frosthold"] = 44,
			["Windrunner's Overlook"] = 54,
			["Ulduar"] = 140,
			["Ebon Watch"] = 44,
			["Dun Nifflelem"] = 100,
			["Bouldercrag's Refuge"] = 108,
			["The Argent Vanguard"] = 76,
			["Valgarde Port"] = 294,
		},
		["Westfall Brigade"] = {
			["Westguard Keep"] = 161,
			["Valiance Keep"] = 394,
			["The Argent Stand"] = 82,
			["Kamagua"] = 255,
			["Amberpine Lodge"] = 79,
			["Fort Wildervar"] = 86,
			["Dalaran"] = 201,
			["Zim'Torga"] = 73,
			["Valgarde Port"] = 158,
		},
		["Forest Song"] = {
			["Emerald Sanctuary"] = 111,
			["Talrendis Point"] = 29,
			["Astranaar"] = 142,
			["Ratchet"] = 163,
			["Auberdine"] = 290,
			["Rut'theran Village"] = 374,
		},
		["Plaguewood"] = {
			["Crown Guard Tower"] = 53,
			["Northpass Tower"] = 50,
			["Eastwall Tower"] = 65,
		},
		["Gundrak"] = {
			["Light's Breach"] = 132,
			["Wintergarde Keep"] = 270,
			["River's Heart"] = 506,
			["Transitus Shield"] = 520,
		},
		["Sentinel Hill"] = {
			["Darkshire"] = 96,
			["Refuge Pointe"] = 605,
			["Light's Hope Chapel"] = 595,
			["Morgan's Vigil"] = 248,
			["Nethergarde Keep"] = 187,
			["Thorium Point"] = 206,
			["Ironforge"] = 288,
			["Aerie Peak"] = 659,
			["Lakeshire"] = 130,
			["Stormwind"] = 86,
			["Thelsamar"] = 284,
			["Menethil Harbor"] = 358,
			["Booty Bay"] = 186,
			["Rebel Camp"] = 62,
			["Chillwind Camp"] = 647,
			["Southshore"] = 617,
		},
		["Plaguewood Tower"] = {
			["Eastwall Tower"] = 240,
			["Crown Guard Tower"] = 52,
		},
		["Cenarion Hold"] = {
			["Crossroads"] = 401,
			["Bloodvenom Post"] = 644,
			["Moonglade"] = 801,
			["Shadowprey Village"] = 334,
			["Theramore"] = 342,
			["Brackenwall Village"] = 470,
			["Mudsprocket"] = 400,
			["Splintertree Post"] = 562,
			["Everlook"] = 768,
			["Rut'theran Village"] = 726,
			["Thalanaar"] = 373,
			["Nijel's Point"] = 402,
			["Freewind Post"] = 241,
			["Talonbranch Glade"] = 841,
			["Gadgetzan"] = 188,
			["Auberdine"] = 648,
			["Sun Rock Retreat"] = 535,
			["Thunder Bluff"] = 393,
			["Camp Taurajo"] = 379,
			["Zoram'gar Outpost"] = 632,
			["Ratchet"] = 469,
			["Talrendis Point"] = 587,
			["Astranaar"] = 630,
			["Orgrimmar"] = 536,
			["Valormok"] = 572,
			["Marshal's Refuge"] = 92,
			["Feathermoon"] = 175,
			["Camp Mojache"] = 132,
		},
		["Honor Hold"] = {
			["Evergrove"] = 278,
			["Shatter Point"] = 57,
			["Shattrath"] = 120,
			["Temple of Telhamat"] = 76,
			["Area 52"] = 309,
			["Telredor"] = 156,
			["Hellfire Peninsula"] = 65,
			["Allerian Stronghold"] = 118,
			["Telaar"] = 208,
			["Wildhammer Stronghold"] = 196,
			["Toshley's Station"] = 225,
			["Orebor Harborage"] = 219,
		},
		["Fordragon Hold"] = {
			["Windrunner's Overlook"] = 153,
			["Ebon Watch"] = 119,
			["Westguard Keep"] = 207,
			["Kamagua"] = 264,
			["Wintergarde Keep"] = 87,
			["Stars' Rest"] = 74,
			["Wyrmrest Temple"] = 65,
			["Amberpine Lodge"] = 158,
			["Star's Rest"] = 74,
			["Dalaran"] = 65,
			["River's Heart"] = 262,
			["Valgarde Port"] = 276,
		},
	},
}
	
if localization then
	local temp = {}
	for faction, t in pairs(data) do
		temp[faction] = {}
		for source, dt in pairs(t) do
			local sl = localization[source]
			if sl then
				temp[faction][sl] = {}
				for destination, time in pairs(dt) do
					local dl = localization[destination]
					if dl then
						temp[faction][sl][dl] = time
					end
				end
			end
		end
	end
	return temp
elseif locale ~= "enUS" and locale ~= "enGB" then
	return { }
else
	return data
end
	
end

